<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.3
Description: Template voor de weergave van sectie Samenvatting zorg
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.3">
   <title>Sectie Samenvatting zorg</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.3
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.3']]
Item: (Sectie_Samenvatting_zorg)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.3']]"
         id="tmp-c64006f9-ef80-4a95-a984-bb856161217f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.3.html"
              test="count(hl7:section)&gt;=1 and not(hl7:section/@nullFlavor)">(Sectie_Samenvatting_zorg): element hl7:section is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.3.html"
              test="count(hl7:section)&lt;=1">(Sectie_Samenvatting_zorg): element hl7:section komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.3
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.3']]/hl7:section
Item: (Sectie_Samenvatting_zorg)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.3']]/hl7:section"
         id="tmp-ff5b4939-6001-4a55-9d90-1a7d86061df2">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.3.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3']/@nullFlavor)">(Sectie_Samenvatting_zorg): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.3.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3'])&lt;=1">(Sectie_Samenvatting_zorg): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Sectie_Samenvatting_zorg): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.3.html"
              test="count(hl7:code)&lt;=1">(Sectie_Samenvatting_zorg): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.3.html"
              test="count(hl7:title)&lt;=1">(Sectie_Samenvatting_zorg): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.3.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']]]/@nullFlavor)">(Sectie_Samenvatting_zorg): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.3.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']]])&lt;=1">(Sectie_Samenvatting_zorg): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.3
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.3']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3']
Item: (Sectie_Samenvatting_zorg)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.3']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3']"
         id="tmp-83f58d80-1de6-40f1-8b87-48cd650bdf64">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.3.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Sectie_Samenvatting_zorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.3.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.1.3'">(Sectie_Samenvatting_zorg): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.3' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.3.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Sectie_Samenvatting_zorg): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.3
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.3']]/hl7:section/hl7:code
Item: (Sectie_Samenvatting_zorg)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.3']]/hl7:section/hl7:code"
         id="tmp-ac10689d-5a03-47b1-a928-4421b03923ef">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.3.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Sectie_Samenvatting_zorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.3.html"
              test="@nullFlavor or (@code='34113-1' and @codeSystem='2.16.840.1.113883.6.1')">(Sectie_Samenvatting_zorg): de waarde van @code/@codeSystem MOET ''34113-1' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.3
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.3']]/hl7:section/hl7:title
Item: (Sectie_Samenvatting_zorg)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.3
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.3']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']]]
Item: (Sectie_Samenvatting_zorg)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.3']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.27']]]"
         id="tmp-9be2387e-edeb-4f66-af3b-030302ce1741">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.3.html"
              test="@typeCode='DRIV'">(Sectie_Samenvatting_zorg): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>