<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.8
Description: Template voor de weergave van Sectie Aan- en uitkleden
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.8">
   <title>Sectie Aan- en uitkleden</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.8
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.8']]
Item: (Sectie_Aan-_en_uitkleden)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.8']]"
         id="tmp-687d092a-91d6-4a36-b5a1-05ed957afed0">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.8.html"
              test="count(hl7:section)&gt;=1 and not(hl7:section/@nullFlavor)">(Sectie_Aan-_en_uitkleden): element hl7:section is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.8.html"
              test="count(hl7:section)&lt;=1">(Sectie_Aan-_en_uitkleden): element hl7:section komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.8
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.8']]/hl7:section
Item: (Sectie_Aan-_en_uitkleden)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.8']]/hl7:section"
         id="tmp-7f8208de-aa32-49e9-8981-f564d38517de">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.8.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.8'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.8']/@nullFlavor)">(Sectie_Aan-_en_uitkleden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.8'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.8.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.8'])&lt;=1">(Sectie_Aan-_en_uitkleden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.8'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.8.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Sectie_Aan-_en_uitkleden): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.8.html"
              test="count(hl7:code)&lt;=1">(Sectie_Aan-_en_uitkleden): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.8.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Aan-_en_uitkleden): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.8.html"
              test="count(hl7:title)&lt;=1">(Sectie_Aan-_en_uitkleden): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.8.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.87']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.87']]]/@nullFlavor)">(Sectie_Aan-_en_uitkleden): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.87']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.8.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.87']]])&lt;=1">(Sectie_Aan-_en_uitkleden): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.87']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.8
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.8']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.8']
Item: (Sectie_Aan-_en_uitkleden)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.8']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.8']"
         id="tmp-63174820-3525-4c4b-9bd3-88bca3e96428">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.8.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Sectie_Aan-_en_uitkleden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.8.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.1.8'">(Sectie_Aan-_en_uitkleden): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.8' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.8.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Sectie_Aan-_en_uitkleden): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.8
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.8']]/hl7:section/hl7:code
Item: (Sectie_Aan-_en_uitkleden)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.8']]/hl7:section/hl7:code"
         id="tmp-04ba98bf-a1eb-4200-b34c-fee00c5ca1b2">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.8.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Sectie_Aan-_en_uitkleden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.8.html"
              test="@nullFlavor or (@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')">(Sectie_Aan-_en_uitkleden): de waarde van @code/@codeSystem MOET ''165235000' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.8
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.8']]/hl7:section/hl7:title
Item: (Sectie_Aan-_en_uitkleden)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.8
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.8']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.87']]]
Item: (Sectie_Aan-_en_uitkleden)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.8']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.87']]]"
         id="tmp-a9314f58-cab8-4e5c-866f-a79ba4a58d14">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.8.html"
              test="@typeCode='DRIV'">(Sectie_Aan-_en_uitkleden): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>