<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.9
Description: Template voor de weergave van Sectie Toiletgang
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.9">
   <title>Sectie Toiletgang</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.9
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.9']]
Item: (Sectie_Toiletgang)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.9']]"
         id="tmp-f0704cb5-377e-4889-b6a1-da1e3664413a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.9.html"
              test="count(hl7:section)&lt;=1">(Sectie_Toiletgang): element hl7:section komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.9
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.9']]/hl7:section
Item: (Sectie_Toiletgang)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.9']]/hl7:section"
         id="tmp-78dc1e09-5285-4bc5-befd-ce3facc86a23">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.9.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.9'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.9']/@nullFlavor)">(Sectie_Toiletgang): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.9'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.9.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.9'])&lt;=1">(Sectie_Toiletgang): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.9'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.9.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Sectie_Toiletgang): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.9.html"
              test="count(hl7:code)&lt;=1">(Sectie_Toiletgang): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.9.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Toiletgang): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.9.html"
              test="count(hl7:title)&lt;=1">(Sectie_Toiletgang): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.9.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.92']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.92']]]/@nullFlavor)">(Sectie_Toiletgang): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.92']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.9.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.92']]])&lt;=1">(Sectie_Toiletgang): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.92']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.9
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.9']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.9']
Item: (Sectie_Toiletgang)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.9']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.9']"
         id="tmp-07ceff02-966d-473f-9959-f471c6d01dd9">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.9.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Sectie_Toiletgang): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.9.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.1.9'">(Sectie_Toiletgang): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.9' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.9.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Sectie_Toiletgang): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.9
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.9']]/hl7:section/hl7:code
Item: (Sectie_Toiletgang)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.9']]/hl7:section/hl7:code"
         id="tmp-04a62128-201a-450b-b390-e884ed7c3008">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.9.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Sectie_Toiletgang): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.9.html"
              test="@nullFlavor or (@code='284899001' and @codeSystem='2.16.840.1.113883.6.96')">(Sectie_Toiletgang): de waarde van @code/@codeSystem MOET ''284899001' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.9
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.9']]/hl7:section/hl7:title
Item: (Sectie_Toiletgang)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.9
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.9']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.92']]]
Item: (Sectie_Toiletgang)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.9']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.92']]]"
         id="tmp-41204662-cd27-4620-abb8-b2303d2b4312">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.9.html"
              test="@typeCode='DRIV'">(Sectie_Toiletgang): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>