<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.114
Description: Template voor de weergave van Voeding consistentie -
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.114">
   <title>consistentie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.114
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.114']]
Item: (consistentie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.114']]"
         id="tmp-fc9ce677-241b-4021-8700-7cc4a19bec3e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.114.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(consistentie): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.114.html"
              test="count(hl7:observation)&lt;=1">(consistentie): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.114
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.114']]/hl7:observation
Item: (consistentie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.114']]/hl7:observation"
         id="tmp-df852f2b-dd79-46e5-93f5-ed678de4957e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.114.html"
              test="@classCode='OBS'">(consistentie): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.114.html"
              test="@moodCode='EVN'">(consistentie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.114.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.114'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.114']/@nullFlavor)">(consistentie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.114'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.114.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.114'])&lt;=1">(consistentie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.114'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.114.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(consistentie): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.114.html"
              test="count(hl7:code)&lt;=1">(consistentie): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.114.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(consistentie): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.114.html"
              test="count(hl7:value)&lt;=1">(consistentie): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.114
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.114']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.114']
Item: (consistentie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.114']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.114']"
         id="tmp-1250ee56-1c7e-4ec9-b5cb-d378377e184c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.114.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(consistentie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.114.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.114'">(consistentie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.114' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.114.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(consistentie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.114
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.114']]/hl7:observation/hl7:code
Item: (consistentie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.114']]/hl7:observation/hl7:code"
         id="tmp-671a1d3e-1adb-4842-b6cb-c0fdf80dd1ac">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.114.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(consistentie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.114.html"
              test="@nullFlavor or (@code='78949001' and @codeSystem='2.16.840.1.113883.6.96')">(consistentie): de waarde van @code/@codeSystem MOET ''78949001' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.114
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.114']]/hl7:observation/hl7:value
Item: (consistentie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.114']]/hl7:observation/hl7:value"
         id="tmp-a92152ca-931f-4da5-b42e-2613590c4e39">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.114.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(consistentie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>