<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.116
Description: Template voor de weergave van entry Toediening systemen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.116">
   <title>entry Toediening systemen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.116
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.116']]
Item: (entry_Toediening_systemen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.116']]"
         id="tmp-59ccf7ea-7212-4c9b-9c60-8ae8982d6147">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.116.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entry_Toediening_systemen): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.116.html"
              test="count(hl7:observation)&lt;=1">(entry_Toediening_systemen): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.116
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:observation
Item: (entry_Toediening_systemen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:observation"
         id="tmp-48ef1c04-d472-4b07-a89e-16f9cfcb2081">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.116.html"
              test="@classCode='OBS'">(entry_Toediening_systemen): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.116.html"
              test="@moodCode='EVN'">(entry_Toediening_systemen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              test="not(@negationInd='true') or count(../../hl7:entryRelationship)=1">(entry_Toediening_systemen): Als er géén toediening systemen aanwezig zijn (@negationId='true') dan kunnen er geen andere entryRelationship elementen zijn dan de huidige</assert>
      <assert role="error" test="not(@negationInd='true') or hl7:value">(entry_Toediening_systemen): Als er géén toediening systemen aanwezig zijn (@negationId='true') dan moet er het volgende element 'value xsi:type="ST" nullFlavor="UNK"'aanwezig zijn</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.116.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']/@nullFlavor)">(entry_Toediening_systemen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.116.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116'])&lt;=1">(entry_Toediening_systemen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.116.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entry_Toediening_systemen): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.116.html"
              test="count(hl7:code)&lt;=1">(entry_Toediening_systemen): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.116.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]])&lt;=1">(entry_Toediening_systemen): element hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.116
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']
Item: (entry_Toediening_systemen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']"
         id="tmp-42e9d0df-b294-4c98-8053-b5bbaf23c7dc">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.116.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entry_Toediening_systemen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.116.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.116'">(entry_Toediening_systemen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.116' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.116.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entry_Toediening_systemen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.116
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:observation/hl7:code
Item: (entry_Toediening_systemen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:observation/hl7:code"
         id="tmp-904b847d-86b2-4606-93b6-53d2af1deb78">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.116.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entry_Toediening_systemen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.116.html"
              test="@nullFlavor or (@code='105789008' and @codeSystem='2.16.840.1.113883.6.96')">(entry_Toediening_systemen): de waarde van @code/@codeSystem MOET ''105789008' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.116
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:observation/hl7:entryRelationship[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.117']]]
Item: (entry_Toediening_systemen)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:observation/hl7:entryRelationship[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.117']]]"
         id="tmp-cca8eac1-7df1-4c46-831b-407b946e69b9">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.116.html"
              test="@typeCode='COMP'">(entry_Toediening_systemen): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.116
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:observation/hl7:entryRelationship[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.119']]]
Item: (entry_Toediening_systemen)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:observation/hl7:entryRelationship[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.119']]]"
         id="tmp-4d795b07-de20-48f3-a7ff-d12560ee9e75">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.116.html"
              test="@typeCode='COMP'">(entry_Toediening_systemen): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.116
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:observation/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]]
Item: (entry_Toediening_systemen)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.116']]/hl7:observation/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]]"
         id="tmp-774f685a-dc60-4272-9636-7d7aad385a8a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.116.html"
              test="@typeCode='REFR'">(entry_Toediening_systemen): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>