<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.142
Description: Template voor de weergave van toelichting
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.142">
   <title>toelichting</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.142
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.142']]
Item: (toelichting)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.142']]"
         id="tmp-0e8a0a0e-2f47-40bb-9796-36e73318722a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.142.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(toelichting): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.142.html"
              test="count(hl7:observation)&lt;=1">(toelichting): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.142
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.142']]/hl7:observation
Item: (toelichting)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.142']]/hl7:observation"
         id="tmp-789ff9bc-5975-49f1-a95d-4e00190a4fd1">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.142.html"
              test="@classCode='OBS'">(toelichting): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.142.html"
              test="@moodCode='EVN'">(toelichting): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.142.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.142'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.142']/@nullFlavor)">(toelichting): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.142'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.142.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.142'])&lt;=1">(toelichting): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.142'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.142.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(toelichting): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.142.html"
              test="count(hl7:code)&lt;=1">(toelichting): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.142.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(toelichting): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.142.html"
              test="count(hl7:value)&lt;=1">(toelichting): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.142
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.142']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.142']
Item: (toelichting)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.142']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.142']"
         id="tmp-eb04aec7-69e2-4a10-ba39-2086fb14bf57">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.142.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(toelichting): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.142.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.142'">(toelichting): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.142' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.142.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(toelichting): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.142
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.142']]/hl7:observation/hl7:code
Item: (toelichting)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.142']]/hl7:observation/hl7:code"
         id="tmp-59a25fa0-8b8d-4f81-96e9-4577862fa4b0">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.142.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(toelichting): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.142.html"
              test="@nullFlavor or (@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')">(toelichting): de waarde van @code/@codeSystem MOET ''48767-8' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.142
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.142']]/hl7:observation/hl7:value
Item: (toelichting)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.142']]/hl7:observation/hl7:value"
         id="tmp-956a28c7-9be5-4060-91cd-57dcc3cb1c58">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.142.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(toelichting): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>