<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.154
Description: preventie decubitus
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.154">
   <title>preventie decubitus</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.154
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.154']]
Item: (preventie_decubitus)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.154']]"
         id="tmp-f1d7e3c4-019a-4a33-a12f-5d8bcff2f853">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.154.html"
              test="count(hl7:procedure)&gt;=1 and not(hl7:procedure/@nullFlavor)">(preventie_decubitus): element hl7:procedure is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.154.html"
              test="count(hl7:procedure)&lt;=1">(preventie_decubitus): element hl7:procedure komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.154
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.154']]/hl7:procedure
Item: (preventie_decubitus)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.154']]/hl7:procedure"
         id="tmp-04cd55c1-0d4a-44f9-876c-269c1dc3def7">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.154.html"
              test="@classCode='PROC'">(preventie_decubitus): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.154.html"
              test="@moodCode='EVN'">(preventie_decubitus): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.154.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.154'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.154']/@nullFlavor)">(preventie_decubitus): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.154'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.154.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.154'])&lt;=1">(preventie_decubitus): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.154'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.154.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(preventie_decubitus): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.154.html"
              test="count(hl7:code)&lt;=1">(preventie_decubitus): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.154
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.154']]/hl7:procedure/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.154']
Item: (preventie_decubitus)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.154']]/hl7:procedure/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.154']"
         id="tmp-a0528823-b8c0-4193-8ecc-573dc72f064f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.154.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(preventie_decubitus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.154.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.154'">(preventie_decubitus): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.154' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.154.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(preventie_decubitus): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.154
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.154']]/hl7:procedure/hl7:code
Item: (preventie_decubitus)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.154']]/hl7:procedure/hl7:code"
         id="tmp-f83c18d6-c466-4ab0-81c3-14098e98495e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.154.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(preventie_decubitus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.154.html"
              test="@nullFlavor or (@code='169443000' and @codeSystem='2.16.840.1.113883.6.96')">(preventie_decubitus): de waarde van @code/@codeSystem MOET ''169443000' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>
</pattern>