<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.178
Description: Template voor de weergave van horen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.178">
   <title>horen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.178
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.178']]
Item: (horen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.178']]"
         id="tmp-5da0ae16-c208-4b26-b9bf-054423e2f013">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.178.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(horen): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.178.html"
              test="count(hl7:observation)&lt;=1">(horen): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.178
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.178']]/hl7:observation
Item: (horen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.178']]/hl7:observation"
         id="tmp-5e45982d-2778-4db9-ad90-65de479c6107">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.178.html"
              test="@classCode='OBS'">(horen): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.178.html"
              test="@moodCode='EVN'">(horen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.178.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.178'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.178']/@nullFlavor)">(horen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.178'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.178.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.178'])&lt;=1">(horen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.178'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.178.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(horen): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.178.html"
              test="count(hl7:code)&lt;=1">(horen): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.178.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(horen): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.178.html"
              test="count(hl7:value)&lt;=1">(horen): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.178
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.178']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.178']
Item: (horen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.178']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.178']"
         id="tmp-3724cb71-39ac-4a97-9429-1926147b551c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.178.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(horen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.178.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.178'">(horen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.178' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.178.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(horen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.178
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.178']]/hl7:observation/hl7:code
Item: (horen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.178']]/hl7:observation/hl7:code"
         id="tmp-0d6ec44c-e317-4e27-89c3-a83e3a7dfd1b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.178.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(horen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.178.html"
              test="@nullFlavor or (@code='b2309' and @codeSystem='2.16.840.1.113883.6.254')">(horen): de waarde van @code/@codeSystem MOET ''b2309' codeSystem '2.16.840.1.113883.6.254'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.178
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.178']]/hl7:observation/hl7:value
Item: (horen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.178']]/hl7:observation/hl7:value"
         id="tmp-c6f4cc25-1ead-497c-bafb-644784c13b7f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.178.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(horen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.178.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(horen): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(horen): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>