<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.185
Description: pijn in rust
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.185">
   <title>pijn in rust</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.185
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.185']]
Item: (pijn_in_rust)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.185']]"
         id="tmp-6587c2c3-f42f-40cc-bfd8-46383c9deb11">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.185.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(pijn_in_rust): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.185.html"
              test="count(hl7:observation)&lt;=1">(pijn_in_rust): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.185
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.185']]/hl7:observation
Item: (pijn_in_rust)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.185']]/hl7:observation"
         id="tmp-93f99baa-742e-403e-ae88-028e85c6a63f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.185.html"
              test="@classCode='OBS'">(pijn_in_rust): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.185.html"
              test="@moodCode='EVN'">(pijn_in_rust): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.185.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.185'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.185']/@nullFlavor)">(pijn_in_rust): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.185'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.185.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.185'])&lt;=1">(pijn_in_rust): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.185'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.185.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(pijn_in_rust): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.185.html"
              test="count(hl7:code)&lt;=1">(pijn_in_rust): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.185.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(pijn_in_rust): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.185.html"
              test="count(hl7:value)&lt;=1">(pijn_in_rust): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.185
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.185']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.185']
Item: (pijn_in_rust)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.185']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.185']"
         id="tmp-e71d8ae2-535c-4d4b-a960-aec4604e9386">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.185.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(pijn_in_rust): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.185.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.185'">(pijn_in_rust): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.185' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.185.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(pijn_in_rust): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.185
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.185']]/hl7:observation/hl7:code
Item: (pijn_in_rust)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.185']]/hl7:observation/hl7:code"
         id="tmp-04c312d1-595f-41eb-93f5-5ffccf1ba7f4">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.185.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(pijn_in_rust): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.185.html"
              test="@nullFlavor or (@code='426120002' and @codeSystem='2.16.840.1.113883.6.96')">(pijn_in_rust): de waarde van @code/@codeSystem MOET ''426120002' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.185
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.185']]/hl7:observation/hl7:value
Item: (pijn_in_rust)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.185']]/hl7:observation/hl7:value"
         id="tmp-2bc33091-7a14-44a8-88c1-58361a3d5abb">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.185.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(pijn_in_rust): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-Pijn-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-Pijn-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.185.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(pijn_in_rust): de waarde van @code MOET worden gekozen uit waardenlijst Pijn DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.185.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(pijn_in_rust): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst Pijn DYNAMIC.</assert>
   </rule>
</pattern>