<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.200
Description: Template voor de weergave van bewustzijn
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.200">
   <title>bewustzijn</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.200
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.200']]
Item: (bewustzijn)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.200']]"
         id="tmp-0965260c-4238-43b1-9d04-88498bfa231a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.200.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(bewustzijn): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.200.html"
              test="count(hl7:observation)&lt;=1">(bewustzijn): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.200
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.200']]/hl7:observation
Item: (bewustzijn)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.200']]/hl7:observation"
         id="tmp-f2755b0d-363f-4a3d-82b0-4e5d6983f5a6">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.200.html"
              test="@classCode='OBS'">(bewustzijn): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.200.html"
              test="@moodCode='EVN'">(bewustzijn): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.200.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.200'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.200']/@nullFlavor)">(bewustzijn): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.200'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.200.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.200'])&lt;=1">(bewustzijn): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.200'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.200.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(bewustzijn): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.200.html"
              test="count(hl7:code)&lt;=1">(bewustzijn): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.200.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(bewustzijn): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.200.html"
              test="count(hl7:value)&lt;=1">(bewustzijn): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.200
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.200']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.200']
Item: (bewustzijn)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.200']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.200']"
         id="tmp-55a72dec-cc40-48b3-8544-c70a3b3006cd">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.200.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(bewustzijn): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.200.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.200'">(bewustzijn): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.200' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.200.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(bewustzijn): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.200
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.200']]/hl7:observation/hl7:code
Item: (bewustzijn)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.200']]/hl7:observation/hl7:code"
         id="tmp-12f8d882-d62d-4f39-ae62-272250821b1a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.200.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(bewustzijn): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.200.html"
              test="@nullFlavor or (@code='b1100' and @codeSystem='2.16.840.1.113883.6.254')">(bewustzijn): de waarde van @code/@codeSystem MOET ''b1100' codeSystem '2.16.840.1.113883.6.254'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.200
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.200']]/hl7:observation/hl7:value
Item: (bewustzijn)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.200']]/hl7:observation/hl7:value"
         id="tmp-602c0061-1a96-4b7a-8ac6-32b5bf904293">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.200.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(bewustzijn): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.200.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(bewustzijn): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(bewustzijn): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>