<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.206
Description: Template voor de weergave van aandacht
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.206">
   <title>aandacht</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.206
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.206']]
Item: (aandacht)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.206']]"
         id="tmp-3b2c70d5-cb4e-44b0-90af-6ffb5f2bd085">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.206.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(aandacht): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.206.html"
              test="count(hl7:observation)&lt;=1">(aandacht): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.206
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.206']]/hl7:observation
Item: (aandacht)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.206']]/hl7:observation"
         id="tmp-51457fae-9d9b-4b5b-8a75-1e5ecde5d64f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.206.html"
              test="@classCode='OBS'">(aandacht): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.206.html"
              test="@moodCode='EVN'">(aandacht): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.206.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.206'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.206']/@nullFlavor)">(aandacht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.206'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.206.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.206'])&lt;=1">(aandacht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.206'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.206.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(aandacht): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.206.html"
              test="count(hl7:code)&lt;=1">(aandacht): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.206.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(aandacht): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.206.html"
              test="count(hl7:value)&lt;=1">(aandacht): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.206
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.206']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.206']
Item: (aandacht)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.206']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.206']"
         id="tmp-76f08d24-048c-4042-85cc-52197b420d39">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.206.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(aandacht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.206.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.206'">(aandacht): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.206' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.206.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(aandacht): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.206
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.206']]/hl7:observation/hl7:code
Item: (aandacht)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.206']]/hl7:observation/hl7:code"
         id="tmp-22815574-f2f5-46c4-95ea-926eb5a441c6">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.206.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(aandacht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.206.html"
              test="@nullFlavor or (@code='b1409' and @codeSystem='2.16.840.1.113883.6.254')">(aandacht): de waarde van @code/@codeSystem MOET ''b1409' codeSystem '2.16.840.1.113883.6.254'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.206
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.206']]/hl7:observation/hl7:value
Item: (aandacht)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.206']]/hl7:observation/hl7:value"
         id="tmp-077aece0-0478-43c1-853d-15d7e556a326">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.206.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(aandacht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.206.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(aandacht): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(aandacht): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>