<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.208
Description: Template voor de weergave van korte termijn geheugen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.208">
   <title>korte termijn geheugen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.208
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.208']]
Item: (korte_termijn_geheugen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.208']]"
         id="tmp-b0644880-e263-4b0c-8ca6-55794410918b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.208.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(korte_termijn_geheugen): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.208.html"
              test="count(hl7:observation)&lt;=1">(korte_termijn_geheugen): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.208
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.208']]/hl7:observation
Item: (korte_termijn_geheugen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.208']]/hl7:observation"
         id="tmp-4c087008-b829-41be-b7a4-ace896a5398d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.208.html"
              test="@classCode='OBS'">(korte_termijn_geheugen): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.208.html"
              test="@moodCode='EVN'">(korte_termijn_geheugen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.208.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.208'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.208']/@nullFlavor)">(korte_termijn_geheugen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.208'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.208.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.208'])&lt;=1">(korte_termijn_geheugen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.208'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.208.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(korte_termijn_geheugen): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.208.html"
              test="count(hl7:code)&lt;=1">(korte_termijn_geheugen): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.208.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(korte_termijn_geheugen): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.208.html"
              test="count(hl7:value)&lt;=1">(korte_termijn_geheugen): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.208
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.208']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.208']
Item: (korte_termijn_geheugen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.208']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.208']"
         id="tmp-048112ec-3f90-4e45-8ebd-633196451db5">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.208.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(korte_termijn_geheugen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.208.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.208'">(korte_termijn_geheugen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.208' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.208.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(korte_termijn_geheugen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.208
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.208']]/hl7:observation/hl7:code
Item: (korte_termijn_geheugen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.208']]/hl7:observation/hl7:code"
         id="tmp-dad63126-f045-445c-bba1-d2dbc938c0bb">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.208.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(korte_termijn_geheugen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.208.html"
              test="@nullFlavor or (@code='b1440' and @codeSystem='2.16.840.1.113883.6.254')">(korte_termijn_geheugen): de waarde van @code/@codeSystem MOET ''b1440' codeSystem '2.16.840.1.113883.6.254'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.208
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.208']]/hl7:observation/hl7:value
Item: (korte_termijn_geheugen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.208']]/hl7:observation/hl7:value"
         id="tmp-1c3c8f03-b423-4635-b20c-2816f8a0256c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.208.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(korte_termijn_geheugen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.208.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(korte_termijn_geheugen): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(korte_termijn_geheugen): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>