<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.214
Description: Template voor de weergave van tempo snelheid gedachten wisselen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.214">
   <title>tempo snelheid gedachten wisselen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.214
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.214']]
Item: (tempo_snelheid_gedachten_wisselen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.214']]"
         id="tmp-64ababff-4342-4529-b20e-d91a4eb9a459">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.214.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(tempo_snelheid_gedachten_wisselen): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.214.html"
              test="count(hl7:observation)&lt;=1">(tempo_snelheid_gedachten_wisselen): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.214
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.214']]/hl7:observation
Item: (tempo_snelheid_gedachten_wisselen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.214']]/hl7:observation"
         id="tmp-4119a92b-2f0f-4c30-b0bd-e4ac0b8dba58">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.214.html"
              test="@classCode='OBS'">(tempo_snelheid_gedachten_wisselen): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.214.html"
              test="@moodCode='EVN'">(tempo_snelheid_gedachten_wisselen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.214.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.214'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.214']/@nullFlavor)">(tempo_snelheid_gedachten_wisselen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.214'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.214.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.214'])&lt;=1">(tempo_snelheid_gedachten_wisselen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.214'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.214.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(tempo_snelheid_gedachten_wisselen): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.214.html"
              test="count(hl7:code)&lt;=1">(tempo_snelheid_gedachten_wisselen): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.214.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(tempo_snelheid_gedachten_wisselen): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.214.html"
              test="count(hl7:value)&lt;=1">(tempo_snelheid_gedachten_wisselen): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.214
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.214']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.214']
Item: (tempo_snelheid_gedachten_wisselen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.214']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.214']"
         id="tmp-f7e794dc-982f-4fa7-8dd3-b58a546c0563">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.214.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(tempo_snelheid_gedachten_wisselen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.214.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.214'">(tempo_snelheid_gedachten_wisselen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.214' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.214.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(tempo_snelheid_gedachten_wisselen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.214
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.214']]/hl7:observation/hl7:code
Item: (tempo_snelheid_gedachten_wisselen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.214']]/hl7:observation/hl7:code"
         id="tmp-25524e49-e121-4a73-b002-0e960ed26459">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.214.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(tempo_snelheid_gedachten_wisselen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.214.html"
              test="@nullFlavor or (@code='b1600' and @codeSystem='2.16.840.1.113883.6.254')">(tempo_snelheid_gedachten_wisselen): de waarde van @code/@codeSystem MOET ''b1600' codeSystem '2.16.840.1.113883.6.254'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.214
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.214']]/hl7:observation/hl7:value
Item: (tempo_snelheid_gedachten_wisselen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.214']]/hl7:observation/hl7:value"
         id="tmp-dbfc322d-b2d9-42c7-90f9-63df5e185b4b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.214.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(tempo_snelheid_gedachten_wisselen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.214.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(tempo_snelheid_gedachten_wisselen): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(tempo_snelheid_gedachten_wisselen): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>