<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.221
Description: Template voor de weergave van spreekt Nederlandse taal
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.221">
   <title>spreekt Nederlandse taal</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.221
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.221']]
Item: (spreekt_Nederlandse_taal)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.221']]"
         id="tmp-63f9921b-21f4-4345-b151-c1f9302c3644">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.221.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(spreekt_Nederlandse_taal): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.221.html"
              test="count(hl7:observation)&lt;=1">(spreekt_Nederlandse_taal): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.221
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.221']]/hl7:observation
Item: (spreekt_Nederlandse_taal)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.221']]/hl7:observation"
         id="tmp-7e60d201-989f-4453-8a3c-25bc7b24d521">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.221.html"
              test="@classCode='OBS'">(spreekt_Nederlandse_taal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.221.html"
              test="@moodCode='EVN'">(spreekt_Nederlandse_taal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.221.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.221'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.221']/@nullFlavor)">(spreekt_Nederlandse_taal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.221'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.221.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.221'])&lt;=1">(spreekt_Nederlandse_taal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.221'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.221.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(spreekt_Nederlandse_taal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.221.html"
              test="count(hl7:code)&lt;=1">(spreekt_Nederlandse_taal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.221.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(spreekt_Nederlandse_taal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.221.html"
              test="count(hl7:value)&lt;=1">(spreekt_Nederlandse_taal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.221
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.221']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.221']
Item: (spreekt_Nederlandse_taal)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.221']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.221']"
         id="tmp-77f50846-932b-4494-a7c9-69ef8efc7dd8">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.221.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(spreekt_Nederlandse_taal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.221.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.221'">(spreekt_Nederlandse_taal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.221' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.221.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(spreekt_Nederlandse_taal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.221
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.221']]/hl7:observation/hl7:code
Item: (spreekt_Nederlandse_taal)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.221']]/hl7:observation/hl7:code"
         id="tmp-907fd63a-7942-4179-a4b9-6c08c0691b8c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.221.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(spreekt_Nederlandse_taal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.221.html"
              test="@nullFlavor or (@code='365453006' and @codeSystem='2.16.840.1.113883.6.96')">(spreekt_Nederlandse_taal): de waarde van @code/@codeSystem MOET ''365453006' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.221
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.221']]/hl7:observation/hl7:value
Item: (spreekt_Nederlandse_taal)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.221']]/hl7:observation/hl7:value"
         id="tmp-ffb9b58a-ed6e-442b-a874-59f7d98d4f8d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.221.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(spreekt_Nederlandse_taal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>