<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.231
Description: omgaan met ziekteproces
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.231">
   <title>omgaan met ziekteproces</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.231
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231']]
Item: (omgaan_met_ziekteproces)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231']]"
         id="tmp-8cb5d839-e1f4-484f-a0db-f31086a72700">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.231.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(omgaan_met_ziekteproces): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.231.html"
              test="count(hl7:observation)&lt;=1">(omgaan_met_ziekteproces): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.231
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231']]/hl7:observation
Item: (omgaan_met_ziekteproces)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231']]/hl7:observation"
         id="tmp-7c1b5212-aaa5-4eb1-8034-de94f26a41fc">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.231.html"
              test="@classCode='OBS'">(omgaan_met_ziekteproces): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.231.html"
              test="@moodCode='EVN'">(omgaan_met_ziekteproces): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.231.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.231'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.231']/@nullFlavor)">(omgaan_met_ziekteproces): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.231'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.231.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.231'])&lt;=1">(omgaan_met_ziekteproces): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.231'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.231.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(omgaan_met_ziekteproces): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.231.html"
              test="count(hl7:code)&lt;=1">(omgaan_met_ziekteproces): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.231.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(omgaan_met_ziekteproces): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.231.html"
              test="count(hl7:value)&lt;=1">(omgaan_met_ziekteproces): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.231
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.231']
Item: (omgaan_met_ziekteproces)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.231']"
         id="tmp-4e2b5b53-2e75-4d56-87db-98b976941417">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.231.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(omgaan_met_ziekteproces): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.231.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.231'">(omgaan_met_ziekteproces): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.231' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.231.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(omgaan_met_ziekteproces): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.231
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231']]/hl7:observation/hl7:code
Item: (omgaan_met_ziekteproces)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231']]/hl7:observation/hl7:code"
         id="tmp-944fc9e3-df08-4897-91ce-4238d3b8125a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.231.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(omgaan_met_ziekteproces): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.231.html"
              test="@nullFlavor or (@code='363910003' and @codeSystem='2.16.840.1.113883.6.96')">(omgaan_met_ziekteproces): de waarde van @code/@codeSystem MOET ''363910003' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.231
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231']]/hl7:observation/hl7:value
Item: (omgaan_met_ziekteproces)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231']]/hl7:observation/hl7:value"
         id="tmp-d2534119-6852-42f7-8ecb-a224be173d9f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.231.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(omgaan_met_ziekteproces): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>