<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.238
Description: Template voor de weergave van wilsverklaring
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.238">
   <title>wilsverklaring</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.238
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']]
Item: (wilsverklaring)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']]"
         id="tmp-bd6ca66b-51ef-4d12-85eb-e133b71e731b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.238.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(wilsverklaring): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.238.html"
              test="count(hl7:observation)&lt;=1">(wilsverklaring): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.238
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:observation
Item: (wilsverklaring)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:observation"
         id="tmp-c2d6f8da-80cc-41c5-9de0-820c8d20c670">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.238.html"
              test="@classCode='OBS'">(wilsverklaring): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.238.html"
              test="@moodCode='EVN'">(wilsverklaring): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.238.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238']/@nullFlavor)">(wilsverklaring): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.238.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238'])&lt;=1">(wilsverklaring): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.238.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(wilsverklaring): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.238.html"
              test="count(hl7:code)&lt;=1">(wilsverklaring): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.238.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239']]])&lt;=1">(wilsverklaring): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.238
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238']
Item: (wilsverklaring)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238']"
         id="tmp-f2d8491f-9900-49de-b1bb-ae544a3ea286">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.238.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(wilsverklaring): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.238.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.238'">(wilsverklaring): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.238' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.238.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(wilsverklaring): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.238
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:observation/hl7:code
Item: (wilsverklaring)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:observation/hl7:code"
         id="tmp-d446daa5-06b4-4068-966d-5541c3533822">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.238.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(wilsverklaring): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.238.html"
              test="@nullFlavor or (@code='425392003' and @codeSystem='2.16.840.1.113883.6.96')">(wilsverklaring): de waarde van @code/@codeSystem MOET ''425392003' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.238
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239']]]
Item: (wilsverklaring)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239']]]"
         id="tmp-a3535514-757d-42dd-ae6a-b43e423969a4">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.238.html"
              test="@typeCode='REFR'">(wilsverklaring): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>