<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.24
Description: Template voor de weergave van Toelichting beloop
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.24">
   <title>Toelichting beloop</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.24
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.24']]
Item: (Toelichting_beloop)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.24']]"
         id="tmp-c4165b01-2ab3-4983-95ce-a0f7cc60da76">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.24.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(Toelichting_beloop): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.24.html"
              test="count(hl7:observation)&lt;=1">(Toelichting_beloop): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.24
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.24']]/hl7:observation
Item: (Toelichting_beloop)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.24']]/hl7:observation"
         id="tmp-5da7aa65-ab76-42a6-afd7-63bb0ddf4ce6">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.24.html"
              test="@classCode='OBS'">(Toelichting_beloop): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.24.html"
              test="@moodCode='EVN'">(Toelichting_beloop): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.24.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.24'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.24']/@nullFlavor)">(Toelichting_beloop): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.24'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.24.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.24'])&lt;=1">(Toelichting_beloop): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.24'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.24.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Toelichting_beloop): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.24.html"
              test="count(hl7:code)&lt;=1">(Toelichting_beloop): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.24.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Toelichting_beloop): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.24.html"
              test="count(hl7:value)&lt;=1">(Toelichting_beloop): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.24
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.24']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.24']
Item: (Toelichting_beloop)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.24']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.24']"
         id="tmp-6b9b1166-8efa-4cd2-992c-94a523f5408c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.24.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Toelichting_beloop): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.24.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.24'">(Toelichting_beloop): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.24' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.24.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Toelichting_beloop): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.24
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.24']]/hl7:observation/hl7:code
Item: (Toelichting_beloop)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.24']]/hl7:observation/hl7:code"
         id="tmp-26e78b8a-d739-4c21-8f59-0af83f0d37a2">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.24.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Toelichting_beloop): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.24.html"
              test="@nullFlavor or (@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')">(Toelichting_beloop): de waarde van @code/@codeSystem MOET ''48767-8' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.24
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.24']]/hl7:observation/hl7:value
Item: (Toelichting_beloop)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.24']]/hl7:observation/hl7:value"
         id="tmp-d5846957-23e1-4fb1-96bd-67fbc96da6c1">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.24.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(Toelichting_beloop): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>