<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.259
Description: Template voor de weergave van eHealth voorzieningen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.259">
   <title>eHealth voorzieningen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.259
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.259']]
Item: (e_health_voorzieningen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.259']]"
         id="tmp-cc758304-7fcc-4e25-b5e9-3a2e9e0207a7">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.259.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(e_health_voorzieningen): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.259.html"
              test="count(hl7:observation)&lt;=1">(e_health_voorzieningen): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.259
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.259']]/hl7:observation
Item: (e_health_voorzieningen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.259']]/hl7:observation"
         id="tmp-2fc2c194-556f-4f36-84c5-6075c11dc091">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.259.html"
              test="@classCode='OBS'">(e_health_voorzieningen): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.259.html"
              test="@moodCode='EVN'">(e_health_voorzieningen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.259.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259']/@nullFlavor)">(e_health_voorzieningen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.259.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259'])&lt;=1">(e_health_voorzieningen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.259.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(e_health_voorzieningen): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.259.html"
              test="count(hl7:code)&lt;=1">(e_health_voorzieningen): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.259.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(e_health_voorzieningen): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.259.html"
              test="count(hl7:value)&lt;=1">(e_health_voorzieningen): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.259
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.259']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259']
Item: (e_health_voorzieningen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.259']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259']"
         id="tmp-ab285d0e-e734-4bff-9de0-de1967109edc">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.259.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(e_health_voorzieningen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.259.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.259'">(e_health_voorzieningen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.259' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.259.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(e_health_voorzieningen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.259
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.259']]/hl7:observation/hl7:code
Item: (e_health_voorzieningen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.259']]/hl7:observation/hl7:code"
         id="tmp-10393387-739b-444c-aa7e-2028bd5cbf98">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.259.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(e_health_voorzieningen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.259.html"
              test="@nullFlavor or (@code='423723003' and @codeSystem='2.16.840.1.113883.6.96')">(e_health_voorzieningen): de waarde van @code/@codeSystem MOET ''423723003' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.259
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.259']]/hl7:observation/hl7:value
Item: (e_health_voorzieningen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.259']]/hl7:observation/hl7:value"
         id="tmp-1baf1027-ddba-4158-8e25-6f422172780f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.259.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(e_health_voorzieningen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>