<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.34
Description: Template: entryRelationship aanspreekpersoon voor client
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.34">
   <title>aanspreekpersoon voor client</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.34
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34']]
Item: (entryRelationship_aanspreekpersoon_voor_client)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34']]"
         id="tmp-58086314-8d78-4752-af95-73bcbb85cba5">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.34.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_aanspreekpersoon_voor_client): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.34.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_aanspreekpersoon_voor_client): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.34
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34']]/hl7:observation
Item: (entryRelationship_aanspreekpersoon_voor_client)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34']]/hl7:observation"
         id="tmp-82ce9b97-3fa8-4e90-9708-9dba48596d96">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.34.html"
              test="@classCode='OBS'">(entryRelationship_aanspreekpersoon_voor_client): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.34.html"
              test="@moodCode='INT'">(entryRelationship_aanspreekpersoon_voor_client): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.34.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']/@nullFlavor)">(entryRelationship_aanspreekpersoon_voor_client): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.34.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34'])&lt;=1">(entryRelationship_aanspreekpersoon_voor_client): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.34.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_aanspreekpersoon_voor_client): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.34.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_aanspreekpersoon_voor_client): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.34.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_aanspreekpersoon_voor_client): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.34.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_aanspreekpersoon_voor_client): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.34
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']
Item: (entryRelationship_aanspreekpersoon_voor_client)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']"
         id="tmp-62974a2d-57bf-481a-b0ef-0e82af8f4596">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.34.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_aanspreekpersoon_voor_client): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.34.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.34'">(entryRelationship_aanspreekpersoon_voor_client): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.34' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.34.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_aanspreekpersoon_voor_client): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.34
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34']]/hl7:observation/hl7:code
Item: (entryRelationship_aanspreekpersoon_voor_client)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34']]/hl7:observation/hl7:code"
         id="tmp-aa4a5a78-9c92-4b50-b199-15b794c115f3">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.34.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_aanspreekpersoon_voor_client): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.34.html"
              test="@nullFlavor or (@code='70862002' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_aanspreekpersoon_voor_client): de waarde van @code/@codeSystem MOET ''70862002' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.34
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34']]/hl7:observation/hl7:value
Item: (entryRelationship_aanspreekpersoon_voor_client)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34']]/hl7:observation/hl7:value"
         id="tmp-7b4d33d5-d4af-4836-889d-31fd7eda9aac">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.34.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(entryRelationship_aanspreekpersoon_voor_client): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>