<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.36
Description: Template: entryRelationship mede behandelaars
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.36">
   <title>mede behandelaars</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.36']]
Item: (entryRelationship_mede_behandelaars)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.36']]"
         id="tmp-9d899d62-3f0c-4938-9387-09c9913b613d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.36.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_mede_behandelaars): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.36.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_mede_behandelaars): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.36']]/hl7:observation
Item: (entryRelationship_mede_behandelaars)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.36']]/hl7:observation"
         id="tmp-d286aa32-8523-4e7b-9fd9-45c924cceb82">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.36.html"
              test="@classCode='OBS'">(entryRelationship_mede_behandelaars): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.36.html"
              test="@moodCode='EVN'">(entryRelationship_mede_behandelaars): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              test="not(@negationInd='true') or count(../../hl7:entryRelationship)=1">(entryRelationship_mede_behandelaars): Als er géén mede behandelaars zijn (@negationId='true') dan kunnen er geen andere entryRelationship elementen zijn dan de huidige</assert>
      <assert role="error" test="not(@negationInd='true') or hl7:value">(entryRelationship_mede_behandelaars): Als er géén mede behandelaars zijn (@negationId='true') dan moet er het volgende element 'value xsi:type="ST" nullFlavor="UNK"'aanwezig zijn</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.36.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.36'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.36']/@nullFlavor)">(entryRelationship_mede_behandelaars): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.36'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.36.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.36'])&lt;=1">(entryRelationship_mede_behandelaars): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.36'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.36.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_mede_behandelaars): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.36.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_mede_behandelaars): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.36']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.36']
Item: (entryRelationship_mede_behandelaars)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.36']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.36']"
         id="tmp-bb857ed0-6e69-4fe7-bf8b-ef48c608fa36">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.36.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_mede_behandelaars): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.36.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.36'">(entryRelationship_mede_behandelaars): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.36' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.36.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_mede_behandelaars): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.36']]/hl7:observation/hl7:code
Item: (entryRelationship_mede_behandelaars)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.36']]/hl7:observation/hl7:code"
         id="tmp-b565685d-52b9-49ed-ad55-5bf8150c1feb">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.36.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_mede_behandelaars): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.36.html"
              test="@nullFlavor or (@code='308930007' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_mede_behandelaars): de waarde van @code/@codeSystem MOET ''308930007' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.36']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.37']]]
Item: (entryRelationship_mede_behandelaars)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.36']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.37']]]"
         id="tmp-8bc3a2cf-32b5-41df-888b-483d4f39608f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.36.html"
              test="@typeCode='REFR'">(entryRelationship_mede_behandelaars): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>