<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.40
Description: Template: component systole
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.40">
   <title>component systole</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.40
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.40']]
Item: (component_systole)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.40']]"
         id="tmp-780499e0-f6e3-4ce4-869e-6733d46a6bee">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.40.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(component_systole): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.40.html"
              test="count(hl7:observation)&lt;=1">(component_systole): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.40
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.40']]/hl7:observation
Item: (component_systole)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.40']]/hl7:observation"
         id="tmp-1b1403f0-968d-4ba0-bec6-12622ffe7544">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.40.html"
              test="@classCode='OBS'">(component_systole): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.40.html"
              test="@moodCode='EVN'">(component_systole): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.40.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.40'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.40']/@nullFlavor)">(component_systole): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.40'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.40.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.40'])&lt;=1">(component_systole): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.40'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.40.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(component_systole): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.40.html"
              test="count(hl7:code)&lt;=1">(component_systole): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.40.html"
              test="count(hl7:statusCode)&lt;=1">(component_systole): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.40.html"
              test="count(hl7:effectiveTime)&lt;=1">(component_systole): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.40.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(component_systole): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.40.html"
              test="count(hl7:value)&lt;=1">(component_systole): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.40
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.40']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.40']
Item: (component_systole)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.40']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.40']"
         id="tmp-33213f6e-d412-4b65-8e93-bf8adc62b42f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.40.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(component_systole): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.40.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.40'">(component_systole): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.40' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.40.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(component_systole): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.40
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.40']]/hl7:observation/hl7:code
Item: (component_systole)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.40']]/hl7:observation/hl7:code"
         id="tmp-68a66ee3-6505-46cf-ba5a-5007bf103adc">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.40.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(component_systole): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.40.html"
              test="@nullFlavor or (@code='271649006' and @codeSystem='2.16.840.1.113883.6.96')">(component_systole): de waarde van @code/@codeSystem MOET ''271649006' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.40
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.40']]/hl7:observation/hl7:statusCode
Item: (component_systole)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.40']]/hl7:observation/hl7:statusCode"
         id="tmp-a76211f5-76de-4d1e-b931-a75910ab834f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.40.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(component_systole): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.40.html"
              test="@nullFlavor or (@code='completed')">(component_systole): de waarde van @code MOET ''completed'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.40
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.40']]/hl7:observation/hl7:effectiveTime
Item: (component_systole)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.40']]/hl7:observation/hl7:effectiveTime"
         id="tmp-fd149747-a237-480f-b72d-a5575102e26e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.40.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(component_systole): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.40
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.40']]/hl7:observation/hl7:value
Item: (component_systole)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.40']]/hl7:observation/hl7:value"
         id="tmp-a4cf2d73-a1f1-4980-9170-fe8489c9f169">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.40.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">(component_systole): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.40.html"
              test="(@nullFlavor or (@unit='mm[Hg]' and number($theValue)&gt;=0))">(component_systole): value MOET eenheid 'mm[Hg]' gebruiken en in bereik [0..] liggen  </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.40.html"
              test="$digitok">(component_systole): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.40.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(component_systole): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>