<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.41
Description: Template: component diastole
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.41">
   <title>component diastole</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.41
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.41']]
Item: (component_diastole)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.41']]"
         id="tmp-b0c880f0-708c-4bee-86de-fe9f18b2dbbe">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.41.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(component_diastole): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.41.html"
              test="count(hl7:observation)&lt;=1">(component_diastole): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.41
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.41']]/hl7:observation
Item: (component_diastole)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.41']]/hl7:observation"
         id="tmp-f60077bc-9cc8-4cb6-9cd2-0e95899e2856">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.41.html"
              test="@classCode='OBS'">(component_diastole): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.41.html"
              test="@moodCode='EVN'">(component_diastole): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.41'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.41']/@nullFlavor)">(component_diastole): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.41'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.41'])&lt;=1">(component_diastole): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.41'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.41.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(component_diastole): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.41.html"
              test="count(hl7:code)&lt;=1">(component_diastole): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.41.html"
              test="count(hl7:statusCode)&lt;=1">(component_diastole): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.41.html"
              test="count(hl7:effectiveTime)&lt;=1">(component_diastole): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.41.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(component_diastole): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.41.html"
              test="count(hl7:value)&lt;=1">(component_diastole): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.41
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.41']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.41']
Item: (component_diastole)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.41']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.41']"
         id="tmp-3033bd71-5c50-4f8f-a131-cd7b0704eb19">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.41.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(component_diastole): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.41.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.41'">(component_diastole): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.41' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.41.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(component_diastole): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.41
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.41']]/hl7:observation/hl7:code
Item: (component_diastole)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.41']]/hl7:observation/hl7:code"
         id="tmp-1738de95-3abf-4d1f-8e04-f42ec4e69371">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.41.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(component_diastole): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.41.html"
              test="@nullFlavor or (@code='271650006' and @codeSystem='2.16.840.1.113883.6.96')">(component_diastole): de waarde van @code/@codeSystem MOET ''271650006' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.41
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.41']]/hl7:observation/hl7:statusCode
Item: (component_diastole)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.41']]/hl7:observation/hl7:statusCode"
         id="tmp-a291f14b-93db-4a42-a3c8-072890a610c6">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.41.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(component_diastole): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.41.html"
              test="@nullFlavor or (@code='completed')">(component_diastole): de waarde van @code MOET ''completed'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.41
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.41']]/hl7:observation/hl7:effectiveTime
Item: (component_diastole)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.41']]/hl7:observation/hl7:effectiveTime"
         id="tmp-20862c51-ba83-4745-aece-be3e522eb3e9">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.41.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(component_diastole): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.41
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.41']]/hl7:observation/hl7:value
Item: (component_diastole)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.41']]/hl7:observation/hl7:value"
         id="tmp-9d0e8543-ffea-40fa-94f6-e6a85aa5f449">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.41.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">(component_diastole): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.41.html"
              test="(@nullFlavor or (@unit='mm[Hg]' and number($theValue)&gt;=0))">(component_diastole): value MOET eenheid 'mm[Hg]' gebruiken en in bereik [0..] liggen  </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.41.html"
              test="$digitok">(component_diastole): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.41.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(component_diastole): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>