<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.46
Description: Template: entryRelationship temperatuur toelichting
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.46">
   <title>temperatuur toelichting</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.46
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.46']]
Item: (entryRelationship_temperatuur_toelichting)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.46']]"
         id="tmp-4b88f080-d4ce-4e5c-b4bb-09fd4555501b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.46.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_temperatuur_toelichting): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.46.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_temperatuur_toelichting): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.46
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.46']]/hl7:observation
Item: (entryRelationship_temperatuur_toelichting)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.46']]/hl7:observation"
         id="tmp-bef812db-686f-4284-8d6d-15c1919beaea">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.46.html"
              test="@classCode='OBS'">(entryRelationship_temperatuur_toelichting): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.46.html"
              test="@moodCode='EVN'">(entryRelationship_temperatuur_toelichting): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.46.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.46'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.46']/@nullFlavor)">(entryRelationship_temperatuur_toelichting): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.46'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.46.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.46'])&lt;=1">(entryRelationship_temperatuur_toelichting): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.46'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.46.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_temperatuur_toelichting): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.46.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_temperatuur_toelichting): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.46.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_temperatuur_toelichting): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.46.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_temperatuur_toelichting): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.46
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.46']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.46']
Item: (entryRelationship_temperatuur_toelichting)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.46']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.46']"
         id="tmp-7caf215a-73ba-4f5a-8f5f-ef7fe57f16bf">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.46.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_temperatuur_toelichting): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.46.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.46'">(entryRelationship_temperatuur_toelichting): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.46' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.46.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_temperatuur_toelichting): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.46
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.46']]/hl7:observation/hl7:code
Item: (entryRelationship_temperatuur_toelichting)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.46']]/hl7:observation/hl7:code"
         id="tmp-f87f50b3-c6df-41ac-9ee2-8bce0197c211">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.46.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_temperatuur_toelichting): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.46.html"
              test="@nullFlavor or (@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')">(entryRelationship_temperatuur_toelichting): de waarde van @code/@codeSystem MOET ''48767-8' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.46
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.46']]/hl7:observation/hl7:value
Item: (entryRelationship_temperatuur_toelichting)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.46']]/hl7:observation/hl7:value"
         id="tmp-19cfb9fa-2632-414b-82bc-eb10e8bb938b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.46.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(entryRelationship_temperatuur_toelichting): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>