<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.49
Description: Template: entryRelationship toelichting zuurstofgebruik
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.49">
   <title>toelichting zuurstofgebruik</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.49
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.49']]
Item: (entryRelationship_toelichting_zuurstofgebruik)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.49']]"
         id="tmp-d2c227c8-d247-4130-9594-ffab8f907345">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.49.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_toelichting_zuurstofgebruik): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.49.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_toelichting_zuurstofgebruik): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.49
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.49']]/hl7:observation
Item: (entryRelationship_toelichting_zuurstofgebruik)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.49']]/hl7:observation"
         id="tmp-034ff829-f6c4-45dc-b24f-b2782455afb0">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.49.html"
              test="@classCode='OBS'">(entryRelationship_toelichting_zuurstofgebruik): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.49.html"
              test="@moodCode='EVN'">(entryRelationship_toelichting_zuurstofgebruik): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.49.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.49'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.49']/@nullFlavor)">(entryRelationship_toelichting_zuurstofgebruik): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.49'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.49.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.49'])&lt;=1">(entryRelationship_toelichting_zuurstofgebruik): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.49'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.49.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_toelichting_zuurstofgebruik): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.49.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_toelichting_zuurstofgebruik): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.49.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_toelichting_zuurstofgebruik): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.49.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_toelichting_zuurstofgebruik): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.49
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.49']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.49']
Item: (entryRelationship_toelichting_zuurstofgebruik)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.49']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.49']"
         id="tmp-93f6a833-cd7c-431f-a714-125ac984c850">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.49.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_toelichting_zuurstofgebruik): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.49.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.49'">(entryRelationship_toelichting_zuurstofgebruik): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.49' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.49.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_toelichting_zuurstofgebruik): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.49
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.49']]/hl7:observation/hl7:code
Item: (entryRelationship_toelichting_zuurstofgebruik)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.49']]/hl7:observation/hl7:code"
         id="tmp-78a9494a-4b87-49b8-848d-6d2cfd21ad9c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.49.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_toelichting_zuurstofgebruik): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.49.html"
              test="@nullFlavor or (@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')">(entryRelationship_toelichting_zuurstofgebruik): de waarde van @code/@codeSystem MOET ''48767-8' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.49
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.49']]/hl7:observation/hl7:value
Item: (entryRelationship_toelichting_zuurstofgebruik)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.49']]/hl7:observation/hl7:value"
         id="tmp-731a0247-8aaf-4866-b832-51ed1df8ed1b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.49.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(entryRelationship_toelichting_zuurstofgebruik): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>