<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.56
Description: Template voor de weergave van voortbewegen lopen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.56">
   <title>voortbewegen lopen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.56
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.56']]
Item: (entryRelationship_voortbewegen_lopen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.56']]"
         id="tmp-b38b2cda-4cf0-4d7f-a74b-b7fd49ed5720">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.56.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_voortbewegen_lopen): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.56.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_voortbewegen_lopen): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.56
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.56']]/hl7:observation
Item: (entryRelationship_voortbewegen_lopen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.56']]/hl7:observation"
         id="tmp-39ae55b4-8352-4950-a17b-053d6aac4164">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.56.html"
              test="@classCode='OBS'">(entryRelationship_voortbewegen_lopen): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.56.html"
              test="@moodCode='EVN'">(entryRelationship_voortbewegen_lopen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.56.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.56'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.56']/@nullFlavor)">(entryRelationship_voortbewegen_lopen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.56'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.56.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.56'])&lt;=1">(entryRelationship_voortbewegen_lopen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.56'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.56.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_voortbewegen_lopen): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.56.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_voortbewegen_lopen): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.56.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_voortbewegen_lopen): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.56.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_voortbewegen_lopen): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.56
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.56']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.56']
Item: (entryRelationship_voortbewegen_lopen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.56']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.56']"
         id="tmp-587f99cc-7621-4419-be7e-544f32570b66">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.56.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_voortbewegen_lopen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.56.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.56'">(entryRelationship_voortbewegen_lopen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.56' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.56.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_voortbewegen_lopen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.56
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.56']]/hl7:observation/hl7:code
Item: (entryRelationship_voortbewegen_lopen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.56']]/hl7:observation/hl7:code"
         id="tmp-1d1a14dc-10c3-4d40-8d9c-3623edaf243e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.56.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_voortbewegen_lopen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.56.html"
              test="@nullFlavor or (@code='d450' and @codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_voortbewegen_lopen): de waarde van @code/@codeSystem MOET ''d450' codeSystem '2.16.840.1.113883.6.254'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.56
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.56']]/hl7:observation/hl7:value
Item: (entryRelationship_voortbewegen_lopen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.56']]/hl7:observation/hl7:value"
         id="tmp-cf28a925-fed9-4017-9b91-76ce3231ded1">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.56.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(entryRelationship_voortbewegen_lopen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.56.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_voortbewegen_lopen): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(entryRelationship_voortbewegen_lopen): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>