<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Description: Template voor de weergave van voortbewegen hulpmiddelen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.57">
   <title>voortbewegen hulpmiddelen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]"
         id="tmp-f87e1b9f-bec7-413c-ab7e-f0cf3d5846d1">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.57.html"
              test="count(hl7:supply)&lt;=1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:supply komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply"
         id="tmp-4da6f74d-5806-404f-a139-9b961d6c24d0">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.57.html"
              test="@classCode='SPLY'">(entryRelationship_voortbewegen_hulpmiddelen): de waarde van @classCode MOET 'SPLY' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.57.html"
              test="@moodCode='EVN'">(entryRelationship_voortbewegen_hulpmiddelen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.57.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']/@nullFlavor)">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.57.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57'])&lt;=1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.57.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.57.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.57.html"
              test="count(hl7:statusCode)&lt;=1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.57.html"
              test="count(hl7:product)&gt;=1 and not(hl7:product/@nullFlavor)">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:product is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.57.html"
              test="count(hl7:product)&lt;=1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:product komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']"
         id="tmp-58a916ae-1906-4d5c-ab53-506bb2cab0d1">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.57.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_voortbewegen_hulpmiddelen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.57.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.57'">(entryRelationship_voortbewegen_hulpmiddelen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.57' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.57.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_voortbewegen_hulpmiddelen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply/hl7:code
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply/hl7:code"
         id="tmp-6e38cbcd-e949-44f6-9082-fa37d7ff1b5e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.57.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_voortbewegen_hulpmiddelen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.57.html"
              test="@nullFlavor or (@code='183135000' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_voortbewegen_hulpmiddelen): de waarde van @code/@codeSystem MOET ''183135000' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply/hl7:statusCode
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply/hl7:statusCode"
         id="tmp-5a31c6db-929a-44d4-8526-f64c414d519b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.57.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(entryRelationship_voortbewegen_hulpmiddelen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.57.html"
              test="@nullFlavor or (@code='completed')">(entryRelationship_voortbewegen_hulpmiddelen): de waarde van @code MOET ''completed'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply/hl7:product
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply/hl7:product"
         id="tmp-054727da-85a1-44af-a810-be2e9f2b461c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.57.html"
              test="count(hl7:manufacturedProduct)&gt;=1 and not(hl7:manufacturedProduct/@nullFlavor)">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:manufacturedProduct is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.57.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:manufacturedProduct komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply/hl7:product/hl7:manufacturedProduct
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply/hl7:product/hl7:manufacturedProduct"
         id="tmp-4920cbbb-6abe-41d8-bac6-c0e0e1ae84b7">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.57.html"
              test="@classCode='MANU'">(entryRelationship_voortbewegen_hulpmiddelen): de waarde van @classCode MOET 'MANU' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.57.html"
              test="count(hl7:manufacturedMaterial)&gt;=1 and not(hl7:manufacturedMaterial/@nullFlavor)">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:manufacturedMaterial is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.57.html"
              test="count(hl7:manufacturedMaterial)&lt;=1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:manufacturedMaterial komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial"
         id="tmp-e5784c52-a606-4904-b6b7-78ac6856d662">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.57.html"
              test="@classCode='MMAT'">(entryRelationship_voortbewegen_hulpmiddelen): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.57.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.57.html"
              test="count(hl7:name)&lt;=1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:name
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->
</pattern>