<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.68
Description: Template voor de weergave van handhaven van zit
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.68">
   <title>handhaven van zit</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.68
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.68']]
Item: (entryRelationship_houding_handhaven_van_zit)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.68']]"
         id="tmp-4e8ce73e-dc51-4b1d-a748-7bd7520a76c4">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.68.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_houding_handhaven_van_zit): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.68.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_houding_handhaven_van_zit): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.68
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.68']]/hl7:observation
Item: (entryRelationship_houding_handhaven_van_zit)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.68']]/hl7:observation"
         id="tmp-a58699ca-7013-45e3-ba37-71f1beeed711">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.68.html"
              test="@classCode='OBS'">(entryRelationship_houding_handhaven_van_zit): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.68.html"
              test="@moodCode='EVN'">(entryRelationship_houding_handhaven_van_zit): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.68.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68']/@nullFlavor)">(entryRelationship_houding_handhaven_van_zit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.68.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68'])&lt;=1">(entryRelationship_houding_handhaven_van_zit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.68.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_houding_handhaven_van_zit): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.68.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_houding_handhaven_van_zit): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.68.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_houding_handhaven_van_zit): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.68.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_houding_handhaven_van_zit): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.68
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.68']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68']
Item: (entryRelationship_houding_handhaven_van_zit)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.68']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.68']"
         id="tmp-fb58100d-575f-4138-a2f9-84c6c0d1e00f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.68.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_houding_handhaven_van_zit): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.68.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.68'">(entryRelationship_houding_handhaven_van_zit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.68' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.68.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_houding_handhaven_van_zit): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.68
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.68']]/hl7:observation/hl7:code
Item: (entryRelationship_houding_handhaven_van_zit)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.68']]/hl7:observation/hl7:code"
         id="tmp-59f8d096-2dc1-44df-8e7a-e429f9adbe8f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.68.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_houding_handhaven_van_zit): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.68.html"
              test="@nullFlavor or (@code='d4153' and @codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_houding_handhaven_van_zit): de waarde van @code/@codeSystem MOET ''d4153' codeSystem '2.16.840.1.113883.6.254'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.68
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.68']]/hl7:observation/hl7:value
Item: (entryRelationship_houding_handhaven_van_zit)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.68']]/hl7:observation/hl7:value"
         id="tmp-b8e36994-3189-4ed3-8b74-7a2cf591e168">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.68.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(entryRelationship_houding_handhaven_van_zit): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.68.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_houding_handhaven_van_zit): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(entryRelationship_houding_handhaven_van_zit): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>