<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.79
Description: Template voor de weergave van entryRelationship wassen onderlichaam
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.79">
   <title>wassen onderlichaam</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.79
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]
Item: (entryRelationship_wassen_onderlichaam)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]"
         id="tmp-535e368d-ab33-4c6a-961a-1691c4831016">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.79.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_wassen_onderlichaam): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.79.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_wassen_onderlichaam): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.79
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:observation
Item: (entryRelationship_wassen_onderlichaam)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:observation"
         id="tmp-a00a42b4-2e69-4cf3-b657-a95ac07e056b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.79.html"
              test="@classCode='OBS'">(entryRelationship_wassen_onderlichaam): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.79.html"
              test="@moodCode='EVN'">(entryRelationship_wassen_onderlichaam): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.79.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79']/@nullFlavor)">(entryRelationship_wassen_onderlichaam): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.79.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79'])&lt;=1">(entryRelationship_wassen_onderlichaam): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.79.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_wassen_onderlichaam): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.79.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_wassen_onderlichaam): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.79.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_wassen_onderlichaam): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.79.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_wassen_onderlichaam): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.79
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79']
Item: (entryRelationship_wassen_onderlichaam)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.79']"
         id="tmp-79e6890d-e721-4731-bbbb-ce9ad8c2878a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.79.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_wassen_onderlichaam): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.79.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.79'">(entryRelationship_wassen_onderlichaam): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.79' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.79.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_wassen_onderlichaam): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.79
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:observation/hl7:code
Item: (entryRelationship_wassen_onderlichaam)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:observation/hl7:code"
         id="tmp-1e2f65d4-d456-4648-8d4d-0de548f41d4f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.79.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(entryRelationship_wassen_onderlichaam): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.79.html"
              test="@nullFlavor or (@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_wassen_onderlichaam): de waarde van @code/@codeSystem MOET ''284785009' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.79.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(entryRelationship_wassen_onderlichaam): element hl7:qualifier is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.79.html"
              test="count(hl7:qualifier)&lt;=1">(entryRelationship_wassen_onderlichaam): element hl7:qualifier komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.79
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:observation/hl7:code
Item: (QualifierLowerBody)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.79
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:observation/hl7:code/hl7:qualifier
Item: (QualifierLowerBody)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:observation/hl7:code/hl7:qualifier"
         id="tmp-a2a18b53-2fe3-4be1-9112-64051f9d2ce0">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.79.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(QualifierLowerBody): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.79.html"
              test="count(hl7:name)&lt;=1">(QualifierLowerBody): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.79.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(QualifierLowerBody): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.79.html"
              test="count(hl7:value)&lt;=1">(QualifierLowerBody): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.79
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:observation/hl7:code/hl7:qualifier/hl7:name
Item: (QualifierLowerBody)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:observation/hl7:code/hl7:qualifier/hl7:name"
         id="tmp-9487c3d6-d20a-42b2-8962-3746c57ec5f5">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.79.html"
              test="@nullFlavor or (@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')">(QualifierLowerBody): de waarde van @code/@codeSystem MOET ''405813007' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.79
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:observation/hl7:code/hl7:qualifier/hl7:value
Item: (QualifierLowerBody)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:observation/hl7:code/hl7:qualifier/hl7:value"
         id="tmp-ffa7d194-e9b1-46ff-bb55-5c0649b16072">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.79.html"
              test="@nullFlavor or (@code='128263001' and @codeSystem='2.16.840.1.113883.6.96')">(QualifierLowerBody): de waarde van @code/@codeSystem MOET ''128263001' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.79
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:observation/hl7:value
Item: (entryRelationship_wassen_onderlichaam)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.79']]/hl7:observation/hl7:value"
         id="tmp-4670d368-8554-4b5b-ab88-67ae51c8451d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.79.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(entryRelationship_wassen_onderlichaam): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.79.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_wassen_onderlichaam): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode" value="'d5100'"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(entryRelationship_wassen_onderlichaam): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>