<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.14
Description: Template voor de weergave van Sectie Seksualiteit en voortplanting
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.14">
   <title>Sectie Seksualiteit en voortplanting</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.14
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.14']]
Item: (Sectie_Seksualiteit_en_voortplanting)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.14']]"
         id="tmp-01b34f21-90ff-47c0-b552-4b17fc594568">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.14.html"
              test="count(hl7:section)&gt;=1 and not(hl7:section/@nullFlavor)">(Sectie_Seksualiteit_en_voortplanting): element hl7:section is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.14.html"
              test="count(hl7:section)&lt;=1">(Sectie_Seksualiteit_en_voortplanting): element hl7:section komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.14
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.14']]/hl7:section
Item: (Sectie_Seksualiteit_en_voortplanting)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.14']]/hl7:section"
         id="tmp-a455c38b-2126-47bc-bbfb-a77007b0cd63">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.14.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14']/@nullFlavor)">(Sectie_Seksualiteit_en_voortplanting): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.14.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14'])&lt;=1">(Sectie_Seksualiteit_en_voortplanting): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.14.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Sectie_Seksualiteit_en_voortplanting): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.14.html"
              test="count(hl7:code)&lt;=1">(Sectie_Seksualiteit_en_voortplanting): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.14.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Seksualiteit_en_voortplanting): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.14.html"
              test="count(hl7:title)&lt;=1">(Sectie_Seksualiteit_en_voortplanting): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.14.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']]]/@nullFlavor)">(Sectie_Seksualiteit_en_voortplanting): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.14.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']]])&lt;=1">(Sectie_Seksualiteit_en_voortplanting): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.14
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.14']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14']
Item: (Sectie_Seksualiteit_en_voortplanting)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.14']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14']"
         id="tmp-b772b929-8ba2-4149-bcf4-a04290deb28d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.14.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Sectie_Seksualiteit_en_voortplanting): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.14.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.1.14'">(Sectie_Seksualiteit_en_voortplanting): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.14' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.14.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Sectie_Seksualiteit_en_voortplanting): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.14
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.14']]/hl7:section/hl7:code
Item: (Sectie_Seksualiteit_en_voortplanting)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.14']]/hl7:section/hl7:code"
         id="tmp-a4127942-ec90-4a72-90c9-796d255ddba7">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.14.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Sectie_Seksualiteit_en_voortplanting): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.14.html"
              test="@nullFlavor or (@code='11350-6' and @codeSystem='2.16.840.1.113883.6.1')">(Sectie_Seksualiteit_en_voortplanting): de waarde van @code/@codeSystem MOET ''11350-6' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.14
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.14']]/hl7:section/hl7:title
Item: (Sectie_Seksualiteit_en_voortplanting)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.14
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.14']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']]]
Item: (Sectie_Seksualiteit_en_voortplanting)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.14']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.144']]]"
         id="tmp-669ba081-99f7-423c-9efd-6c33a835e02b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.14.html"
              test="@typeCode='DRIV'">(Sectie_Seksualiteit_en_voortplanting): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>