<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.23
Description: Sectie Levens overtuiging
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.23">
   <title>Sectie Levens overtuiging</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.23
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']]
Item: (Sectie_Levens_overtuiging)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']]"
         id="tmp-a1f7d1a9-3c00-4c07-9214-67c63dbe8b49">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.23.html"
              test="count(hl7:section)&gt;=1 and not(hl7:section/@nullFlavor)">(Sectie_Levens_overtuiging): element hl7:section is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.23.html"
              test="count(hl7:section)&lt;=1">(Sectie_Levens_overtuiging): element hl7:section komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.23
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']]/hl7:section
Item: (Sectie_Levens_overtuiging)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']]/hl7:section"
         id="tmp-022c30ff-ca34-46bf-ac46-f96ad3a063b1">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.23.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.23'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.23']/@nullFlavor)">(Sectie_Levens_overtuiging): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.23'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.23.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.23'])&lt;=1">(Sectie_Levens_overtuiging): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.23'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.23.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Sectie_Levens_overtuiging): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.23.html"
              test="count(hl7:code)&lt;=1">(Sectie_Levens_overtuiging): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.23.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Levens_overtuiging): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.23.html"
              test="count(hl7:title)&lt;=1">(Sectie_Levens_overtuiging): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.23.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.235']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.235']]]/@nullFlavor)">(Sectie_Levens_overtuiging): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.235']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.23.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.235']]])&lt;=1">(Sectie_Levens_overtuiging): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.235']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.23
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.23']
Item: (Sectie_Levens_overtuiging)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.23']"
         id="tmp-fe633532-8a76-4b06-a883-c3b24e915c3d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.23.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Sectie_Levens_overtuiging): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.23.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.1.23'">(Sectie_Levens_overtuiging): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.23' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.23.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Sectie_Levens_overtuiging): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.23
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']]/hl7:section/hl7:code
Item: (Sectie_Levens_overtuiging)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']]/hl7:section/hl7:code"
         id="tmp-b48252e6-9fb8-42d3-9bdf-4f35684c5a4a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.23.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Sectie_Levens_overtuiging): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.23.html"
              test="@nullFlavor or (@code='108334009' and @codeSystem='2.16.840.1.113883.6.96')">(Sectie_Levens_overtuiging): de waarde van @code/@codeSystem MOET ''108334009' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.23
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']]/hl7:section/hl7:title
Item: (Sectie_Levens_overtuiging)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.23
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.235']]]
Item: (Sectie_Levens_overtuiging)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.235']]]"
         id="tmp-03b99373-df7b-4870-a884-820693b532bd">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.23.html"
              test="@typeCode='DRIV'">(Sectie_Levens_overtuiging): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>