<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.7
Description: Template voor de weergave van Sectie Mond verzorging 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.7">
   <title>Sectie Mond verzorging</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.7
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.7']]
Item: (Sectie_Mond_verzorging)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.7']]"
         id="tmp-2e96cb15-58de-4a95-9916-08273cd58d7b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.7.html"
              test="count(hl7:section)&gt;=1 and not(hl7:section/@nullFlavor)">(Sectie_Mond_verzorging): element hl7:section is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.7.html"
              test="count(hl7:section)&lt;=1">(Sectie_Mond_verzorging): element hl7:section komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.7
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.7']]/hl7:section
Item: (Sectie_Mond_verzorging)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.7']]/hl7:section"
         id="tmp-d5661528-2459-44ae-a12d-a8be72f25918">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.7.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7']/@nullFlavor)">(Sectie_Mond_verzorging): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.7.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7'])&lt;=1">(Sectie_Mond_verzorging): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.7.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Sectie_Mond_verzorging): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.7.html"
              test="count(hl7:code)&lt;=1">(Sectie_Mond_verzorging): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.7.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Mond_verzorging): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.7.html"
              test="count(hl7:title)&lt;=1">(Sectie_Mond_verzorging): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.7.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.81']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.81']]]/@nullFlavor)">(Sectie_Mond_verzorging): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.81']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.7.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.81']]])&lt;=1">(Sectie_Mond_verzorging): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.81']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.7
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.7']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7']
Item: (Sectie_Mond_verzorging)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.7']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7']"
         id="tmp-f57d7aa1-d61d-4814-8524-5400e86c7719">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.7.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Sectie_Mond_verzorging): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.7.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.1.7'">(Sectie_Mond_verzorging): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.7' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.7.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Sectie_Mond_verzorging): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.7
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.7']]/hl7:section/hl7:code
Item: (Sectie_Mond_verzorging)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.7']]/hl7:section/hl7:code"
         id="tmp-bfbffefe-8d0c-46ac-b793-9f8d2eeccad8">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.7.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Sectie_Mond_verzorging): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.7.html"
              test="@nullFlavor or (@code='288470005' and @codeSystem='2.16.840.1.113883.6.96')">(Sectie_Mond_verzorging): de waarde van @code/@codeSystem MOET ''288470005' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.7
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.7']]/hl7:section/hl7:title
Item: (Sectie_Mond_verzorging)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.7
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.7']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.81']]]
Item: (Sectie_Mond_verzorging)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.7']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.81']]]"
         id="tmp-2838a7fd-2bd7-455b-b596-b798c7a0f20b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.7.html"
              test="@typeCode='DRIV'">(Sectie_Mond_verzorging): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>