<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.101
Description: Template voor de weergave van eten naar mond brengen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.101">
   <title>eten naar mond brengen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.101
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.101']]
Item: (eten_naar_mond_brengen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.101']]"
         id="tmp-bded93ef-dbe3-418e-b108-ee2f77eef67c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.101.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(eten_naar_mond_brengen): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.101.html"
              test="count(hl7:observation)&lt;=1">(eten_naar_mond_brengen): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.101
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.101']]/hl7:observation
Item: (eten_naar_mond_brengen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.101']]/hl7:observation"
         id="tmp-5e0f7884-540e-454a-8c29-00dbea196a17">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.101.html"
              test="@classCode='OBS'">(eten_naar_mond_brengen): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.101.html"
              test="@moodCode='EVN'">(eten_naar_mond_brengen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.101.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.101'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.101']/@nullFlavor)">(eten_naar_mond_brengen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.101'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.101.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.101'])&lt;=1">(eten_naar_mond_brengen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.101'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.101.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(eten_naar_mond_brengen): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.101.html"
              test="count(hl7:code)&lt;=1">(eten_naar_mond_brengen): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.101.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(eten_naar_mond_brengen): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.101.html"
              test="count(hl7:value)&lt;=1">(eten_naar_mond_brengen): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.101
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.101']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.101']
Item: (eten_naar_mond_brengen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.101']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.101']"
         id="tmp-46ae7788-7e6b-40b1-b157-5e8313c7dc29">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.101.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(eten_naar_mond_brengen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.101.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.101'">(eten_naar_mond_brengen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.101' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.101.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(eten_naar_mond_brengen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.101
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.101']]/hl7:observation/hl7:code
Item: (eten_naar_mond_brengen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.101']]/hl7:observation/hl7:code"
         id="tmp-c4868c3f-4a73-48be-8832-05a2ae6daf7c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.101.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(eten_naar_mond_brengen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.101.html"
              test="@nullFlavor or (@code='289005001' and @codeSystem='2.16.840.1.113883.6.96')">(eten_naar_mond_brengen): de waarde van @code/@codeSystem MOET ''289005001' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.101
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.101']]/hl7:observation/hl7:value
Item: (eten_naar_mond_brengen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.101']]/hl7:observation/hl7:value"
         id="tmp-427f1459-07ad-45cc-88ff-5f212933a9ec">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.101.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(eten_naar_mond_brengen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.101.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(eten_naar_mond_brengen): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode" value="'d550'"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(eten_naar_mond_brengen): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>