<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.105
Description: Template voor de weergave van bereiden openen uitschenken
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.105">
   <title>bereiden openen uitschenken</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.105
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.105']]
Item: (bereiden_openen_uitschenken)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.105']]"
         id="tmp-44055c53-6afa-4403-bd4f-1b618cbd6321">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.105.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(bereiden_openen_uitschenken): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.105.html"
              test="count(hl7:observation)&lt;=1">(bereiden_openen_uitschenken): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.105
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.105']]/hl7:observation
Item: (bereiden_openen_uitschenken)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.105']]/hl7:observation"
         id="tmp-da31d63b-ee70-44db-9c8f-63da72dc91db">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.105.html"
              test="@classCode='OBS'">(bereiden_openen_uitschenken): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.105.html"
              test="@moodCode='EVN'">(bereiden_openen_uitschenken): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.105.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.105'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.105']/@nullFlavor)">(bereiden_openen_uitschenken): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.105'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.105.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.105'])&lt;=1">(bereiden_openen_uitschenken): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.105'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.105.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(bereiden_openen_uitschenken): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.105.html"
              test="count(hl7:code)&lt;=1">(bereiden_openen_uitschenken): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.105.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(bereiden_openen_uitschenken): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.105.html"
              test="count(hl7:value)&lt;=1">(bereiden_openen_uitschenken): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.105
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.105']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.105']
Item: (bereiden_openen_uitschenken)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.105']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.105']"
         id="tmp-9475de0e-41e1-4fa8-848c-22d23d669983">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.105.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(bereiden_openen_uitschenken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.105.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.105'">(bereiden_openen_uitschenken): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.105' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.105.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(bereiden_openen_uitschenken): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.105
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.105']]/hl7:observation/hl7:code
Item: (bereiden_openen_uitschenken)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.105']]/hl7:observation/hl7:code"
         id="tmp-c536cbc3-c7fb-4b62-9e91-087858b77a00">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.105.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(bereiden_openen_uitschenken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.105.html"
              test="@nullFlavor or (@code='286501003' and @codeSystem='2.16.840.1.113883.6.96')">(bereiden_openen_uitschenken): de waarde van @code/@codeSystem MOET ''286501003' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.105
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.105']]/hl7:observation/hl7:value
Item: (bereiden_openen_uitschenken)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.105']]/hl7:observation/hl7:value"
         id="tmp-1b7d3c39-6d0d-4476-8adb-7bccaf6d1ee9">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.105.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(bereiden_openen_uitschenken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.105.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(bereiden_openen_uitschenken): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode" value="'d560'"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(bereiden_openen_uitschenken): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>