<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.107
Description: Template voor de weergave van drinken naar mond brengen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.107">
   <title>drinken naar mond brengen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.107
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.107']]
Item: (drinken_naar_mond_brengen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.107']]"
         id="tmp-a4635e8d-34d3-478d-b5f4-031c7ae4677a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.107.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(drinken_naar_mond_brengen): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.107.html"
              test="count(hl7:observation)&lt;=1">(drinken_naar_mond_brengen): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.107
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.107']]/hl7:observation
Item: (drinken_naar_mond_brengen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.107']]/hl7:observation"
         id="tmp-8a53cc7b-9bb9-4a94-83b1-cea9eb9ee082">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.107.html"
              test="@classCode='OBS'">(drinken_naar_mond_brengen): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.107.html"
              test="@moodCode='EVN'">(drinken_naar_mond_brengen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.107.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.107'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.107']/@nullFlavor)">(drinken_naar_mond_brengen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.107'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.107.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.107'])&lt;=1">(drinken_naar_mond_brengen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.107'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.107.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(drinken_naar_mond_brengen): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.107.html"
              test="count(hl7:code)&lt;=1">(drinken_naar_mond_brengen): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.107.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(drinken_naar_mond_brengen): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.107.html"
              test="count(hl7:value)&lt;=1">(drinken_naar_mond_brengen): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.107
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.107']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.107']
Item: (drinken_naar_mond_brengen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.107']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.107']"
         id="tmp-9e155db5-d3c5-4574-a4c1-87b43b3ee106">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.107.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(drinken_naar_mond_brengen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.107.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.107'">(drinken_naar_mond_brengen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.107' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.107.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(drinken_naar_mond_brengen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.107
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.107']]/hl7:observation/hl7:code
Item: (drinken_naar_mond_brengen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.107']]/hl7:observation/hl7:code"
         id="tmp-37cd6708-d338-43e0-8c72-16c87391d41f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.107.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(drinken_naar_mond_brengen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.107.html"
              test="@nullFlavor or (@code='288870003' and @codeSystem='2.16.840.1.113883.6.96')">(drinken_naar_mond_brengen): de waarde van @code/@codeSystem MOET ''288870003' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.107
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.107']]/hl7:observation/hl7:value
Item: (drinken_naar_mond_brengen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.107']]/hl7:observation/hl7:value"
         id="tmp-5e7192dc-1051-4388-af52-6ed141528d9c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.107.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(drinken_naar_mond_brengen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.107.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(drinken_naar_mond_brengen): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode" value="'d560'"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(drinken_naar_mond_brengen): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>