<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.11
Description: Template voor de weergave van medische_diagnose
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.11">
   <title>entryRelationship medische diagnose</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.11
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.11']]
Item: (entryRelationship_medische_diagnose)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.11']]"
         id="tmp-5e8555fa-88db-47f8-b10f-12ac758f8adf">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.11.html"
              test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">(entryRelationship_medische_diagnose): element hl7:act is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.11
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.11']]/hl7:act
Item: (entryRelationship_medische_diagnose)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.11']]/hl7:act"
         id="tmp-b2fd990f-d97e-40b3-bcfa-c5af59544097">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.11.html"
              test="@classCode='ACT'">(entryRelationship_medische_diagnose): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.11.html"
              test="@moodCode='EVN'">(entryRelationship_medische_diagnose): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.11.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.11'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.11']/@nullFlavor)">(entryRelationship_medische_diagnose): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.11'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.11.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.11'])&lt;=1">(entryRelationship_medische_diagnose): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.11'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.11.html"
              test="count(hl7:code)&gt;=1 ">(entryRelationship_medische_diagnose): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.11.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_medische_diagnose): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.11.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12']]])&gt;=1 and not(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12']]]/@nullFlavor)">(entryRelationship_medische_diagnose): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.11.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12']]])&lt;=1">(entryRelationship_medische_diagnose): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.11
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.11']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.11']
Item: (entryRelationship_medische_diagnose)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.11']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.11']"
         id="tmp-baa5033b-2698-4278-bf07-3c1a91b468ea">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_medische_diagnose): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.11.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.11'">(entryRelationship_medische_diagnose): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.11' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.11.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_medische_diagnose): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.11
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.11']]/hl7:act/hl7:code
Item: (entryRelationship_medische_diagnose)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.11']]/hl7:act/hl7:code"
         id="tmp-59161aac-0879-4833-8cdc-ce92e76338fe">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.11.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_medische_diagnose): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.11.html"
              test="@nullFlavor='NA'">(entryRelationship_medische_diagnose): de waarde van @nullFlavor MOET 'NA' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.11
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.11']]/hl7:act/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12']]]
Item: (entryRelationship_medische_diagnose)
-->
<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.11']]/hl7:act/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12']]]"
         id="tmp-2d052d33-8c88-442e-850f-882b6b64f77e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.11.html"
              test="@typeCode='SUBJ'">(entryRelationship_medische_diagnose): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>
</pattern>