<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.127
Description: Template voor de weergave van soort incontinentie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.127">
   <title>soort incontinentie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.127
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.127']]
Item: (soort_incontinentie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.127']]"
         id="tmp-44d2c27a-301c-4b84-89c7-fc272b3a9471">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.127.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(soort_incontinentie): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.127.html"
              test="count(hl7:observation)&lt;=1">(soort_incontinentie): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.127
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.127']]/hl7:observation
Item: (soort_incontinentie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.127']]/hl7:observation"
         id="tmp-c1545a04-1a82-4930-8add-dc69f2564590">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.127.html"
              test="@classCode='OBS'">(soort_incontinentie): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.127.html"
              test="@moodCode='EVN'">(soort_incontinentie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.127.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.127'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.127']/@nullFlavor)">(soort_incontinentie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.127'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.127.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.127'])&lt;=1">(soort_incontinentie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.127'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.127.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(soort_incontinentie): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.127.html"
              test="count(hl7:code)&lt;=1">(soort_incontinentie): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.127.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(soort_incontinentie): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.127.html"
              test="count(hl7:value)&lt;=1">(soort_incontinentie): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.127
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.127']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.127']
Item: (soort_incontinentie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.127']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.127']"
         id="tmp-5fb71d03-6b51-4328-8eaf-6d56b1a8fb05">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.127.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(soort_incontinentie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.127.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.127'">(soort_incontinentie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.127' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.127.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(soort_incontinentie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.127
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.127']]/hl7:observation/hl7:code
Item: (soort_incontinentie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.127']]/hl7:observation/hl7:code"
         id="tmp-8ffd906b-a3ae-426c-b7a6-3297e8744edc">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.127.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(soort_incontinentie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.127.html"
              test="@nullFlavor or (@code='165232002' and @codeSystem='2.16.840.1.113883.6.96')">(soort_incontinentie): de waarde van @code/@codeSystem MOET ''165232002' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.127
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.127']]/hl7:observation/hl7:value
Item: (soort_incontinentie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.127']]/hl7:observation/hl7:value"
         id="tmp-c092d8ba-52ec-4154-9afe-37479bdff232">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.127.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(soort_incontinentie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>