<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.138
Description: Template voor de weergave van locatie stoma
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.138">
   <title>locatie stoma</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.138
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.138']]
Item: (locatie_stoma)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.138']]"
         id="tmp-d19cc772-164f-4c6c-8546-dc245964657f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.138.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(locatie_stoma): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.138.html"
              test="count(hl7:observation)&lt;=1">(locatie_stoma): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.138
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.138']]/hl7:observation
Item: (locatie_stoma)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.138']]/hl7:observation"
         id="tmp-45efa424-2da2-4b3a-9aa9-a67a533f65ab">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.138.html"
              test="@classCode='OBS'">(locatie_stoma): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.138.html"
              test="@moodCode='EVN'">(locatie_stoma): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.138.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.138'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.138']/@nullFlavor)">(locatie_stoma): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.138'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.138.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.138'])&lt;=1">(locatie_stoma): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.138'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.138.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(locatie_stoma): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.138.html"
              test="count(hl7:code)&lt;=1">(locatie_stoma): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.138.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(locatie_stoma): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.138.html"
              test="count(hl7:value)&lt;=1">(locatie_stoma): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.138
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.138']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.138']
Item: (locatie_stoma)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.138']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.138']"
         id="tmp-bb23439b-ce45-41c9-936d-e1bdd1b10b72">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.138.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(locatie_stoma): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.138.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.138'">(locatie_stoma): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.138' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.138.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(locatie_stoma): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.138
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.138']]/hl7:observation/hl7:code
Item: (locatie_stoma)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.138']]/hl7:observation/hl7:code"
         id="tmp-04e65cf1-6670-4bcc-9a00-8021bee6451f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.138.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(locatie_stoma): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.138.html"
              test="@nullFlavor or (@code='91241007' and @codeSystem='2.16.840.1.113883.6.96')">(locatie_stoma): de waarde van @code/@codeSystem MOET ''91241007' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.138
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.138']]/hl7:observation/hl7:value
Item: (locatie_stoma)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.138']]/hl7:observation/hl7:value"
         id="tmp-2490db1e-5179-4a12-aeba-b77e92661e23">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.138.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(locatie_stoma): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>