<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.140
Description: Template voor de weergave van incontinentiemateriaal
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.140">
   <title>incontinentiemateriaal</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.140
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.140']]
Item: (incontinentiemateriaal)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.140']]"
         id="tmp-5c4c32f0-f8f5-46a1-8ed9-16ac80d74c67">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.140.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(incontinentiemateriaal): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.140.html"
              test="count(hl7:observation)&lt;=1">(incontinentiemateriaal): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.140
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.140']]/hl7:observation
Item: (incontinentiemateriaal)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.140']]/hl7:observation"
         id="tmp-263f8305-265b-425b-a2de-0bf77d814c43">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.140.html"
              test="@classCode='OBS'">(incontinentiemateriaal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.140.html"
              test="@moodCode='EVN'">(incontinentiemateriaal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.140.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.140'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.140']/@nullFlavor)">(incontinentiemateriaal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.140'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.140.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.140'])&lt;=1">(incontinentiemateriaal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.140'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.140.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(incontinentiemateriaal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.140.html"
              test="count(hl7:code)&lt;=1">(incontinentiemateriaal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.140.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(incontinentiemateriaal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.140.html"
              test="count(hl7:value)&lt;=1">(incontinentiemateriaal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.140
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.140']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.140']
Item: (incontinentiemateriaal)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.140']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.140']"
         id="tmp-40cbd865-7996-4505-954f-068d22a3e6c1">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.140.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(incontinentiemateriaal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.140.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.140'">(incontinentiemateriaal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.140' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.140.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(incontinentiemateriaal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.140
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.140']]/hl7:observation/hl7:code
Item: (incontinentiemateriaal)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.140']]/hl7:observation/hl7:code"
         id="tmp-5f3c24b6-1444-4ead-b966-abdf59cac096">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.140.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(incontinentiemateriaal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.140.html"
              test="@nullFlavor or (@code='337588003' and @codeSystem='2.16.840.1.113883.6.96')">(incontinentiemateriaal): de waarde van @code/@codeSystem MOET ''337588003' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.140
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.140']]/hl7:observation/hl7:value
Item: (incontinentiemateriaal)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.140']]/hl7:observation/hl7:value"
         id="tmp-13eff8ea-5542-4cb2-b4d4-7efa0a18bb69">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.140.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(incontinentiemateriaal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>