<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.15
Description: Template voor de weergave van toelichting beloop duur ziektebehandeling
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.15">
   <title>toelichting beloop duur ziektebehandeling</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.15
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.15']]
Item: (toelichting_beloop_duur_ziektebehandeling)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.15']]"
         id="tmp-2616cbec-abaa-4426-ad25-94f1d01e8d29">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.15.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(toelichting_beloop_duur_ziektebehandeling): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.15.html"
              test="count(hl7:observation)&lt;=1">(toelichting_beloop_duur_ziektebehandeling): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.15
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.15']]/hl7:observation
Item: (toelichting_beloop_duur_ziektebehandeling)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.15']]/hl7:observation"
         id="tmp-42fcafa4-5b89-4147-aa03-6ec786e48bc5">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.15.html"
              test="@classCode='OBS'">(toelichting_beloop_duur_ziektebehandeling): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.15.html"
              test="@moodCode='EVN'">(toelichting_beloop_duur_ziektebehandeling): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.15.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.15'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.15']/@nullFlavor)">(toelichting_beloop_duur_ziektebehandeling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.15'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.15.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.15'])&lt;=1">(toelichting_beloop_duur_ziektebehandeling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.15'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.15.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(toelichting_beloop_duur_ziektebehandeling): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.15.html"
              test="count(hl7:code)&lt;=1">(toelichting_beloop_duur_ziektebehandeling): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.15.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(toelichting_beloop_duur_ziektebehandeling): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.15.html"
              test="count(hl7:value)&lt;=1">(toelichting_beloop_duur_ziektebehandeling): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.15
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.15']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.15']
Item: (toelichting_beloop_duur_ziektebehandeling)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.15']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.15']"
         id="tmp-c4c17c5e-c465-4eae-9a87-fd53784e9724">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.15.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(toelichting_beloop_duur_ziektebehandeling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.15.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.15'">(toelichting_beloop_duur_ziektebehandeling): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.15' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.15.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(toelichting_beloop_duur_ziektebehandeling): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.15
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.15']]/hl7:observation/hl7:code
Item: (toelichting_beloop_duur_ziektebehandeling)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.15']]/hl7:observation/hl7:code"
         id="tmp-0817ba69-f1c0-4ddf-940b-061037745973">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.15.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(toelichting_beloop_duur_ziektebehandeling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.15.html"
              test="@nullFlavor or (@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')">(toelichting_beloop_duur_ziektebehandeling): de waarde van @code/@codeSystem MOET ''48767-8' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.15
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.15']]/hl7:observation/hl7:value
Item: (toelichting_beloop_duur_ziektebehandeling)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.15']]/hl7:observation/hl7:value"
         id="tmp-27e66b97-1f0c-4f3b-828a-ee1b5daf641f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.15.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(toelichting_beloop_duur_ziektebehandeling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>