<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.171
Description: Slaapcyclus
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.171">
   <title>slaapcyclus</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.171
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.171']]
Item: (slaapcyclus)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.171']]"
         id="tmp-fa1d7af2-75de-4c91-8bfc-2da273d777e5">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.171.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(slaapcyclus): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.171.html"
              test="count(hl7:observation)&lt;=1">(slaapcyclus): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.171
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.171']]/hl7:observation
Item: (slaapcyclus)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.171']]/hl7:observation"
         id="tmp-9d88c83f-62c3-45b4-ae22-85a9691061d9">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.171.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.171'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.171']/@nullFlavor)">(slaapcyclus): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.171'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.171.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.171'])&lt;=1">(slaapcyclus): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.171'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.171.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(slaapcyclus): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.171.html"
              test="count(hl7:code)&lt;=1">(slaapcyclus): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.171.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(slaapcyclus): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.171.html"
              test="count(hl7:value)&lt;=1">(slaapcyclus): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.171
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.171']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.171']
Item: (slaapcyclus)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.171']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.171']"
         id="tmp-37e748bc-fc65-4179-8844-49b36c33625f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.171.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(slaapcyclus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.171.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.171'">(slaapcyclus): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.171' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.171.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(slaapcyclus): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.171
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.171']]/hl7:observation/hl7:code
Item: (slaapcyclus)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.171']]/hl7:observation/hl7:code"
         id="tmp-b6a556e2-9b44-467a-83be-4f7f16b2c130">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.171.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(slaapcyclus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.171.html"
              test="@nullFlavor or (@code='b1344' and @codeSystem='2.16.840.1.113883.6.254')">(slaapcyclus): de waarde van @code/@codeSystem MOET ''b1344' codeSystem '2.16.840.1.113883.6.254'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.171
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.171']]/hl7:observation/hl7:value
Item: (slaapcyclus)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.171']]/hl7:observation/hl7:value"
         id="tmp-7117af2a-ae8e-4636-a4a2-42a7adaf0010">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.171.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(slaapcyclus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.171.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(slaapcyclus): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(slaapcyclus): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>