<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.186
Description: pijn bij beweging
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.186">
   <title>pijn bij beweging</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.186
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.186']]
Item: (pijn_bij_beweging)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.186']]"
         id="tmp-0d949f73-a4bc-413c-a979-98f285088d7d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.186.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(pijn_bij_beweging): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.186.html"
              test="count(hl7:observation)&lt;=1">(pijn_bij_beweging): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.186
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.186']]/hl7:observation
Item: (pijn_bij_beweging)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.186']]/hl7:observation"
         id="tmp-6d90e576-bb1b-4ba7-80d0-a8a829646a5e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.186.html"
              test="@classCode='OBS'">(pijn_bij_beweging): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.186.html"
              test="@moodCode='EVN'">(pijn_bij_beweging): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.186.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.186'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.186']/@nullFlavor)">(pijn_bij_beweging): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.186'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.186.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.186'])&lt;=1">(pijn_bij_beweging): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.186'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.186.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(pijn_bij_beweging): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.186.html"
              test="count(hl7:code)&lt;=1">(pijn_bij_beweging): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.186.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(pijn_bij_beweging): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.186.html"
              test="count(hl7:value)&lt;=1">(pijn_bij_beweging): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.186
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.186']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.186']
Item: (pijn_bij_beweging)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.186']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.186']"
         id="tmp-2fe4731e-79d9-445a-9656-b5bf28f99fe4">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.186.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(pijn_bij_beweging): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.186.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.186'">(pijn_bij_beweging): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.186' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.186.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(pijn_bij_beweging): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.186
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.186']]/hl7:observation/hl7:code
Item: (pijn_bij_beweging)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.186']]/hl7:observation/hl7:code"
         id="tmp-d0362928-9540-4b54-8321-9968744c0570">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.186.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(pijn_bij_beweging): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.186.html"
              test="@nullFlavor or (@code='425423002' and @codeSystem='2.16.840.1.113883.6.96')">(pijn_bij_beweging): de waarde van @code/@codeSystem MOET ''425423002' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.186
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.186']]/hl7:observation/hl7:value
Item: (pijn_bij_beweging)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.186']]/hl7:observation/hl7:value"
         id="tmp-e4aeef81-2a13-4f07-b1a7-ee6306a3ff07">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.186.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(pijn_bij_beweging): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-Pijn-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-Pijn-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.186.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(pijn_bij_beweging): de waarde van @code MOET worden gekozen uit waardenlijst Pijn DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.186.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(pijn_bij_beweging): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst Pijn DYNAMIC.</assert>
   </rule>
</pattern>