<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.193
Description: Template voor de weergave van wilsbekwaam in kader van behandelplan
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.193">
   <title>wilsbekwaam in kader van behandelplan</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.193
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.193']]
Item: (wilsbekwaam_in_kader_van_behandelplan)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.193']]"
         id="tmp-db0de016-ff6e-4ec4-9fd5-3a97cc0b13f1">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.193.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(wilsbekwaam_in_kader_van_behandelplan): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.193.html"
              test="count(hl7:observation)&lt;=1">(wilsbekwaam_in_kader_van_behandelplan): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.193
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.193']]/hl7:observation
Item: (wilsbekwaam_in_kader_van_behandelplan)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.193']]/hl7:observation"
         id="tmp-c6d7a2bb-885a-4e7e-b035-dd97cecc90cc">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.193.html"
              test="@classCode='OBS'">(wilsbekwaam_in_kader_van_behandelplan): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.193.html"
              test="@moodCode='EVN'">(wilsbekwaam_in_kader_van_behandelplan): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.193.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.193'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.193']/@nullFlavor)">(wilsbekwaam_in_kader_van_behandelplan): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.193'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.193.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.193'])&lt;=1">(wilsbekwaam_in_kader_van_behandelplan): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.193'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.193.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(wilsbekwaam_in_kader_van_behandelplan): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.193.html"
              test="count(hl7:code)&lt;=1">(wilsbekwaam_in_kader_van_behandelplan): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.193.html"
              test="count(hl7:value)&lt;=1">(wilsbekwaam_in_kader_van_behandelplan): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.193
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.193']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.193']
Item: (wilsbekwaam_in_kader_van_behandelplan)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.193']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.193']"
         id="tmp-af81d807-ca00-41d3-8e64-77d7a9c355e8">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.193.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(wilsbekwaam_in_kader_van_behandelplan): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.193.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.193'">(wilsbekwaam_in_kader_van_behandelplan): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.193' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.193.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(wilsbekwaam_in_kader_van_behandelplan): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.193
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.193']]/hl7:observation/hl7:code
Item: (wilsbekwaam_in_kader_van_behandelplan)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.193']]/hl7:observation/hl7:code"
         id="tmp-c1582e11-86fc-4e36-afa1-b5920f84c0e1">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.193.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(wilsbekwaam_in_kader_van_behandelplan): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.193.html"
              test="@nullFlavor or (@code='32082000' and @codeSystem='2.16.840.1.113883.6.96')">(wilsbekwaam_in_kader_van_behandelplan): de waarde van @code/@codeSystem MOET ''32082000' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.193
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.193']]/hl7:observation/hl7:value
Item: (wilsbekwaam_in_kader_van_behandelplan)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.193']]/hl7:observation/hl7:value"
         id="tmp-2bcf6c2d-8c33-4e1f-ae0c-e02fae91fd97">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.193.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(wilsbekwaam_in_kader_van_behandelplan): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>