<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.216
Description: Template voor de weergave van inhoud werkelijkheidszin denken
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.216">
   <title>inhoud werkelijkheidszin denken</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.216
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.216']]
Item: (inhoud_werkelijkheidszin_denken)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.216']]"
         id="tmp-62d99165-a1bf-45dc-9dff-4fd3c4d5720d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.216.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(inhoud_werkelijkheidszin_denken): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.216.html"
              test="count(hl7:observation)&lt;=1">(inhoud_werkelijkheidszin_denken): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.216
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.216']]/hl7:observation
Item: (inhoud_werkelijkheidszin_denken)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.216']]/hl7:observation"
         id="tmp-6882e851-114d-41e7-86ee-9e3693f850cb">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.216.html"
              test="@classCode='OBS'">(inhoud_werkelijkheidszin_denken): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.216.html"
              test="@moodCode='EVN'">(inhoud_werkelijkheidszin_denken): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.216.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.216'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.216']/@nullFlavor)">(inhoud_werkelijkheidszin_denken): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.216'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.216.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.216'])&lt;=1">(inhoud_werkelijkheidszin_denken): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.216'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.216.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(inhoud_werkelijkheidszin_denken): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.216.html"
              test="count(hl7:code)&lt;=1">(inhoud_werkelijkheidszin_denken): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.216.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(inhoud_werkelijkheidszin_denken): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.216.html"
              test="count(hl7:value)&lt;=1">(inhoud_werkelijkheidszin_denken): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.216
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.216']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.216']
Item: (inhoud_werkelijkheidszin_denken)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.216']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.216']"
         id="tmp-e0e9c4b7-4ed2-4c77-a89d-3096aaaab582">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.216.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(inhoud_werkelijkheidszin_denken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.216.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.216'">(inhoud_werkelijkheidszin_denken): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.216' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.216.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(inhoud_werkelijkheidszin_denken): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.216
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.216']]/hl7:observation/hl7:code
Item: (inhoud_werkelijkheidszin_denken)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.216']]/hl7:observation/hl7:code"
         id="tmp-9043c22a-39a3-4b84-970c-f87ee5691412">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.216.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(inhoud_werkelijkheidszin_denken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.216.html"
              test="@nullFlavor or (@code='b1602' and @codeSystem='2.16.840.1.113883.6.254')">(inhoud_werkelijkheidszin_denken): de waarde van @code/@codeSystem MOET ''b1602' codeSystem '2.16.840.1.113883.6.254'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.216
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.216']]/hl7:observation/hl7:value
Item: (inhoud_werkelijkheidszin_denken)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.216']]/hl7:observation/hl7:value"
         id="tmp-d7a4fb1b-32f2-4918-9be3-bbaaada94134">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.216.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(inhoud_werkelijkheidszin_denken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.216.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(inhoud_werkelijkheidszin_denken): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(inhoud_werkelijkheidszin_denken): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>