<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.232
Description: naasten
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.232">
   <title>naasten</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.232
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.232']]
Item: (naasten)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.232']]"
         id="tmp-709f4af0-9200-48d8-b5c8-74bb96df36af">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.232.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(naasten): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.232.html"
              test="count(hl7:observation)&lt;=1">(naasten): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.232
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.232']]/hl7:observation
Item: (naasten)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.232']]/hl7:observation"
         id="tmp-a0df65f1-d86e-45d5-88bb-64e2f59ca3d0">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.232.html"
              test="@classCode='OBS'">(naasten): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.232.html"
              test="@moodCode='EVN'">(naasten): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.232.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.232'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.232']/@nullFlavor)">(naasten): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.232'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.232.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.232'])&lt;=1">(naasten): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.232'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.232.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(naasten): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.232.html"
              test="count(hl7:code)&lt;=1">(naasten): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.232.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(naasten): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.232.html"
              test="count(hl7:value)&lt;=1">(naasten): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.232
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.232']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.232']
Item: (naasten)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.232']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.232']"
         id="tmp-ee809ade-c744-4445-9c0e-bfdbdec5bf04">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.232.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(naasten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.232.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.232'">(naasten): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.232' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.232.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(naasten): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.232
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.232']]/hl7:observation/hl7:code
Item: (naasten)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.232']]/hl7:observation/hl7:code"
         id="tmp-6b1bc216-72d2-44b9-95fd-0542de73d1d5">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.232.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(naasten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.232.html"
              test="@nullFlavor or (@code='405199009' and @codeSystem='2.16.840.1.113883.6.96')">(naasten): de waarde van @code/@codeSystem MOET ''405199009' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.232
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.232']]/hl7:observation/hl7:value
Item: (naasten)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.232']]/hl7:observation/hl7:value"
         id="tmp-a7d9a0c9-cc58-4d0e-9210-8c7b87e2e5fc">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.232.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(naasten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>