<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.239
Description: Template voor de weergave van wilsverklaring waar te vinden
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.239">
   <title>levens overtuiging</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.239
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.239']]
Item: (wilsverklaring_waar_te_vinden)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.239']]"
         id="tmp-6055d1f3-6bc4-4f16-a150-72d32b4df5c8">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.239.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(wilsverklaring_waar_te_vinden): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.239.html"
              test="count(hl7:observation)&lt;=1">(wilsverklaring_waar_te_vinden): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.239
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.239']]/hl7:observation
Item: (wilsverklaring_waar_te_vinden)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.239']]/hl7:observation"
         id="tmp-d702d050-a33d-4150-99db-84e536448150">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.239.html"
              test="@classCode='OBS'">(wilsverklaring_waar_te_vinden): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.239.html"
              test="@moodCode='EVN'">(wilsverklaring_waar_te_vinden): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.239.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239']/@nullFlavor)">(wilsverklaring_waar_te_vinden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.239.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239'])&lt;=1">(wilsverklaring_waar_te_vinden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.239.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(wilsverklaring_waar_te_vinden): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.239.html"
              test="count(hl7:code)&lt;=1">(wilsverklaring_waar_te_vinden): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.239.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(wilsverklaring_waar_te_vinden): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.239.html"
              test="count(hl7:value)&lt;=1">(wilsverklaring_waar_te_vinden): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.239
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.239']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239']
Item: (wilsverklaring_waar_te_vinden)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.239']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.239']"
         id="tmp-32c9e14c-82f6-422d-a5d4-6ceddbfce064">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.239.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(wilsverklaring_waar_te_vinden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.239.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.239'">(wilsverklaring_waar_te_vinden): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.239' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.239.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(wilsverklaring_waar_te_vinden): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.239
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.239']]/hl7:observation/hl7:code
Item: (wilsverklaring_waar_te_vinden)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.239']]/hl7:observation/hl7:code"
         id="tmp-e416a191-828d-495d-be0f-8517d3ba00d6">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.239.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(wilsverklaring_waar_te_vinden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.239.html"
              test="@nullFlavor or (@code='363698007' and @codeSystem='2.16.840.1.113883.6.96')">(wilsverklaring_waar_te_vinden): de waarde van @code/@codeSystem MOET ''363698007' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.239
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.239']]/hl7:observation/hl7:value
Item: (wilsverklaring_waar_te_vinden)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.239']]/hl7:observation/hl7:value"
         id="tmp-6ac8a9af-26c3-4acb-b86f-3d0910af581e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.239.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(wilsverklaring_waar_te_vinden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>