<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.245
Description: Template voor de weergave van hobby
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.245">
   <title>hobby</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.245
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.245']]
Item: (hobby)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.245']]"
         id="tmp-a71f42e7-a0e5-4a59-b614-df2d1589042f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.245.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(hobby): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.245.html"
              test="count(hl7:observation)&lt;=1">(hobby): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.245
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.245']]/hl7:observation
Item: (hobby)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.245']]/hl7:observation"
         id="tmp-608db2b0-8cbd-447f-aaec-9a5dad2ed431">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.245.html"
              test="@classCode='OBS'">(hobby): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.245.html"
              test="@moodCode='EVN'">(hobby): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.245.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.245'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.245']/@nullFlavor)">(hobby): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.245'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.245.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.245'])&lt;=1">(hobby): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.245'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.245.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(hobby): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.245.html"
              test="count(hl7:code)&lt;=1">(hobby): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.245.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(hobby): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.245.html"
              test="count(hl7:value)&lt;=1">(hobby): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.245
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.245']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.245']
Item: (hobby)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.245']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.245']"
         id="tmp-a5f2e558-054b-4bb3-a47f-3664f31952a6">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.245.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(hobby): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.245.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.245'">(hobby): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.245' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.245.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(hobby): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.245
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.245']]/hl7:observation/hl7:code
Item: (hobby)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.245']]/hl7:observation/hl7:code"
         id="tmp-727b3b78-a963-4cd0-8646-b10544be752d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.245.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(hobby): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.245.html"
              test="@nullFlavor or (@code='405081003' and @codeSystem='2.16.840.1.113883.6.96')">(hobby): de waarde van @code/@codeSystem MOET ''405081003' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.245
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.245']]/hl7:observation/hl7:value
Item: (hobby)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.245']]/hl7:observation/hl7:value"
         id="tmp-632b2005-cbf6-4b55-9a71-11df8e5f2951">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.245.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(hobby): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>