<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.42
Description: Template: bloeddruk toelichting
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.42">
   <title>bloeddruk toelichting</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.42
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.42']]
Item: (component_bloeddruk_toelichting)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.42']]"
         id="tmp-c4e4c983-6f97-40ee-b769-ba4ab303068f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.42.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(component_bloeddruk_toelichting): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.42.html"
              test="count(hl7:observation)&lt;=1">(component_bloeddruk_toelichting): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.42
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.42']]/hl7:observation
Item: (component_bloeddruk_toelichting)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.42']]/hl7:observation"
         id="tmp-ad16af4b-0662-4b8a-b666-212df067d744">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.42.html"
              test="@classCode='OBS'">(component_bloeddruk_toelichting): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.42.html"
              test="@moodCode='EVN'">(component_bloeddruk_toelichting): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.42'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.42']/@nullFlavor)">(component_bloeddruk_toelichting): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.42'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.42'])&lt;=1">(component_bloeddruk_toelichting): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.42'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.42.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(component_bloeddruk_toelichting): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.42.html"
              test="count(hl7:code)&lt;=1">(component_bloeddruk_toelichting): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.42.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(component_bloeddruk_toelichting): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.42.html"
              test="count(hl7:value)&lt;=1">(component_bloeddruk_toelichting): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.42
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.42']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.42']
Item: (component_bloeddruk_toelichting)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.42']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.42']"
         id="tmp-5c6e78f4-7fb3-4725-b726-c9cd1d7c85ba">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.42.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(component_bloeddruk_toelichting): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.42'">(component_bloeddruk_toelichting): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.42' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(component_bloeddruk_toelichting): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.42
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.42']]/hl7:observation/hl7:code
Item: (component_bloeddruk_toelichting)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.42']]/hl7:observation/hl7:code"
         id="tmp-88bc02ff-3aaa-4e10-a4fe-0d133636532c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.42.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(component_bloeddruk_toelichting): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.42.html"
              test="@nullFlavor or (@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')">(component_bloeddruk_toelichting): de waarde van @code/@codeSystem MOET ''48767-8' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.42
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.42']]/hl7:observation/hl7:value
Item: (component_bloeddruk_toelichting)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.42']]/hl7:observation/hl7:value"
         id="tmp-f8430b53-2c9e-42d3-8e4d-de0b987ef019">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.42.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(component_bloeddruk_toelichting): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>