<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.48
Description: Template: entryRelationship zuurstofgebruik
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.48">
   <title>zuurstofgebruik</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.48
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.48']]
Item: (entryRelationship_zuurstofgebruik)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.48']]"
         id="tmp-c0cc3102-fa88-42ad-99ec-1357a5846b2f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.48.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_zuurstofgebruik): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.48.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_zuurstofgebruik): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.48
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.48']]/hl7:observation
Item: (entryRelationship_zuurstofgebruik)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.48']]/hl7:observation"
         id="tmp-5368f957-2cff-43d5-badc-cc4ea050005c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.48.html"
              test="@classCode='OBS'">(entryRelationship_zuurstofgebruik): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.48.html"
              test="@moodCode='EVN'">(entryRelationship_zuurstofgebruik): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              test="not(@negationInd='true') or count(../../hl7:entryRelationship)=1">(entryRelationship_zuurstofgebruik): Als er géén zuurstofgebruik is (@negationId='true') dan kunnen er geen andere entryRelationship elementen zijn dan de huidige</assert>
      <assert role="error" test="not(@negationInd='true') or hl7:value">(entryRelationship_zuurstofgebruik): Als er géén zuurstofgebruik is (@negationId='true') dan moet er het volgende element 'value xsi:type="ST" nullFlavor="UNK"'aanwezig zijn</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.48.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.48'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.48']/@nullFlavor)">(entryRelationship_zuurstofgebruik): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.48'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.48.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.48'])&lt;=1">(entryRelationship_zuurstofgebruik): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.48'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.48.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_zuurstofgebruik): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.48.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_zuurstofgebruik): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.48.html"
              test="count(hl7:effectiveTime)&lt;=1">(entryRelationship_zuurstofgebruik): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.48
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.48']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.48']
Item: (entryRelationship_zuurstofgebruik)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.48']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.48']"
         id="tmp-cefa2a02-9d6e-4765-bf74-622810fb7d45">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.48.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_zuurstofgebruik): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.48.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.48'">(entryRelationship_zuurstofgebruik): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.48' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.48.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_zuurstofgebruik): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.48
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.48']]/hl7:observation/hl7:code
Item: (entryRelationship_zuurstofgebruik)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.48']]/hl7:observation/hl7:code"
         id="tmp-55d282a0-c60e-4437-8541-27b4813bf1de">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.48.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_zuurstofgebruik): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.48.html"
              test="@nullFlavor or (@code='16206004' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_zuurstofgebruik): de waarde van @code/@codeSystem MOET ''16206004' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.48
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.48']]/hl7:observation/hl7:effectiveTime
Item: (entryRelationship_zuurstofgebruik)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.48']]/hl7:observation/hl7:effectiveTime"
         id="tmp-f718ccc8-1d57-4acd-904d-3c3154b4a8bd">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.48.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(entryRelationship_zuurstofgebruik): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>